GNU bug report logs - #52149
[PATCH] core-updates-frozen: Update `rustc` to version 1.56.1 (from 1.54.0)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "(unmatched-parenthesis" <paren@HIDDEN>; Keywords: patch; merged with #52153; dated Sat, 27 Nov 2021 22:03:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 27 Dec 2021 15:30:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 27 10:30:04 2021
Received: from localhost ([127.0.0.1]:43985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1rwp-0004bR-TR
	for submit <at> debbugs.gnu.org; Mon, 27 Dec 2021 10:30:04 -0500
Received: from knopi.disroot.org ([178.21.23.139]:59958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1rwk-0004Z8-3H
 for 52149 <at> debbugs.gnu.org; Mon, 27 Dec 2021 10:30:02 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D060A50F1C;
 Mon, 27 Dec 2021 16:29:56 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id pq6Yi0imERym; Mon, 27 Dec 2021 16:29:55 +0100 (CET)
Date: Mon, 27 Dec 2021 15:29:44 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640618991; bh=uf+wR9UOyOD1Ns8FOqnEee9Ry1SToOuMKO6RilAvQTU=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=aYXcDMEwF4UGKlIDqMcUPYuahh0tgodHb7YRJ9uZSzGOhLT9irl6JwWc3mJGua4uV
 YN+kszurGgR9IFkCNhcAWzoLguB8VGR1yTuVSx/dP849y0kbWYZM0m9+b6TRJxYTVK
 fh2bNm5MZFAf1+uyM1ejyX4hfkoC4c96lDmOqUTCLeeELNqvGDr3ieLVsUAYben6QH
 /U6g1GWXCc2oqMInrlexYVBENi7kf+ilG5feliBxzPI7DITXBVIlDf+Ri+u41JQ9sK
 AeJPXAkeJ1+t/BJlE30TxPns+D/Plr0IwhEfnLuyVaiYp/uI27hLsJ6uLlA05UA1Z0
 L7J+A4FbAchDQ==
From: Parenthesis <paren@HIDDEN>
Subject: Re: [bug#52149] [PATCH] feat(gnu packages rust): Add 'rust-1.57';
 Change 'rust' to 'rust-1.57'
To: Efraim Flashner <efraim@HIDDEN>
Message-Id: <KP5S4R.7KNF5PB9KNSG2@HIDDEN>
In-Reply-To: <YcmupzCAbD12I7Eu@3900XT>
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211226144842.4136-1-paren@HIDDEN> <YcmupzCAbD12I7Eu@3900XT>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

~/code/clones/guix $ 
/gnu/store/5lc2cfxszksmak1hhb7d1bj6cz0wzxj7-rust-cargo-0.58.0/bin/cargo 
--version
cargo 1.57.0

the patches will be coming in shortly :D

(cargo's versioning scheme is a little weird; the binary seems to have 
+1 major version and -1 minor version compared to the crate on 
crates.io; see https://lib.rs/crates/cargo. this is the case with 
guix's current cargo too:

~/code/clones/guix $ cargo --version
cargo 1.52.0

so don't be alarmed by the 1.57.0 :))






Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 27 Dec 2021 12:17:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 27 07:17:22 2021
Received: from localhost ([127.0.0.1]:42301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1owM-00048L-6v
	for submit <at> debbugs.gnu.org; Mon, 27 Dec 2021 07:17:22 -0500
Received: from flashner.co.il ([178.62.234.194]:59832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1n1owH-000411-Fb
 for 52149 <at> debbugs.gnu.org; Mon, 27 Dec 2021 07:17:21 -0500
Received: from localhost (unknown [141.226.10.247])
 by flashner.co.il (Postfix) with ESMTPSA id 4C142402F1;
 Mon, 27 Dec 2021 12:17:11 +0000 (UTC)
Date: Mon, 27 Dec 2021 14:16:39 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>
Subject: Re: [bug#52149] [PATCH] feat(gnu packages rust): Add 'rust-1.57';
 Change 'rust' to 'rust-1.57'
Message-ID: <YcmupzCAbD12I7Eu@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 "(unmatched-parenthesis" <paren@HIDDEN>, 52149 <at> debbugs.gnu.org
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211226144842.4136-1-paren@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="FIb+26YvA4oOOfxZ"
Content-Disposition: inline
In-Reply-To: <20211226144842.4136-1-paren@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--FIb+26YvA4oOOfxZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Dec 26, 2021 at 02:48:42PM +0000, (unmatched-parenthesis via Guix-p=
atches via wrote:
> ---
>  gnu/packages/rust.scm | 6 +++++-
>  1 file changed, 5 insertions(+), 1 deletion(-)
>=20
> diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
> index a07a86763e..524a558777 100644
> --- a/gnu/packages/rust.scm
> +++ b/gnu/packages/rust.scm
> @@ -780,8 +780,12 @@ (define rust-1.56
>    (rust-bootstrapped-package
>     rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v=
2f3"))
> =20
> +(define rust-1.57
> +  (rust-bootstrapped-package
> +   rust-1.56 "1.57.0" "06jw8ka2p3kls8p0gd4p0chhhb1ia1mlvj96zn78n7qvp71zj=
iim"))
> +
>  ;;; Note: Only the latest versions of Rust are supported and tested.  The
>  ;;; intermediate rusts are built for bootstrapping purposes and should n=
ot
>  ;;; be relied upon.  This is to ease maintenance and reduce the time
>  ;;; required to build the full Rust bootstrap chain.
> -(define-public rust rust-1.54)
> +(define-public rust rust-1.57)
> --=20
> 2.34.0
>=20

I removed the part about updating rust to 1.57. I made the three new
rust- variables public, so that they can be used easily with the #:rust
keyword.

I'm leaving the bug open so you can work on the other patches you
attached before.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--FIb+26YvA4oOOfxZ
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmHJrqYACgkQQarn3Mo9
g1G9+Q//QZMhUHXisLDwjzaoWYwHi/VESQqEGwxkfMNMScJ0MRbhj1y85OGIgJOH
3a/CRUPhZw236RZdhI7uU8rIaOdcotRXhk3CN62PldmjinkD73iKadT/+oJQtcdD
3DJkts2sSgcPT02Q2tkGC4w7ou1pauITqp8Gs8T7KgH8fwl90CmTW9pQAF+nyPvj
PARwqXZWzfNC1hM7oIa+ZV/N7DtuzcDRqVbahPuDgfifntXK5d1XPgz2ziFXI0Zj
2xMEYn1Qec0taa7UROC9lfO58xDpEB+hwHFGXA1YPrBtFOajP0Y4sK/bl3DkoJXu
yBCDb3jJNFdzZwFz0Zx6DkV4Lick+1X/jKwkC3Nxb7cKMBp+DwkIkm4ubX6WI6ql
DdRq5kI0Iecdn7VKJpFHq3ZNOrJYqB3sd7x/IKAmJ/9xS5BRIqZlaiQ1HKzXmBgj
SxCc2MAak3IcGo+rxh1oi97Ms4L2ua5ojByRha4wKTjLOJhCpErf0h/rPMY0t2Iz
ijvWPS4mS1KZTeeI1O7BB7RIt3nT9oyzHoozqfv9kWvUqNar66pxbjH2ZTbYFwHJ
XTKJURjNskVUGnKXXpwTDWS8nChNO3nduiBzPJk3weAgwXbvgP/LdgjDRvUcB3WK
WWDVc2Ic21VkRuFz6ChJXlAR5jk3Cnhf/+LuCJruJBpj8ywVVnk=
=kfKr
-----END PGP SIGNATURE-----

--FIb+26YvA4oOOfxZ--




Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 26 Dec 2021 21:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 26 16:12:54 2021
Received: from localhost ([127.0.0.1]:41711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1ap4-0000j3-O6
	for submit <at> debbugs.gnu.org; Sun, 26 Dec 2021 16:12:54 -0500
Received: from knopi.disroot.org ([178.21.23.139]:34592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1ap1-0000io-S8
 for 52149 <at> debbugs.gnu.org; Sun, 26 Dec 2021 16:12:53 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id DA88650F73;
 Sun, 26 Dec 2021 22:12:49 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id MqKClb9etxO3; Sun, 26 Dec 2021 22:12:49 +0100 (CET)
Date: Sun, 26 Dec 2021 21:12:33 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640553168; bh=Aq6qnevS7a0t9Wzptk7CTsVv9d29+LinPJ+AnftuEmE=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=fFdTejQbUfrzpxOvmVFIFQ8lfwECG/ABCSl6jElXEwDfDN6J/0pBTeV8V9/gufArG
 O/BjVhSgtPIJt5yvWOOV7qcHgJpBsWYAht4kyXBWzA03QpoJsq8+9GUTxXGAg5BafQ
 K/9ufXubkOfIiqAk9EicSjaHcT5CyskWT8QYDVQM8auo8ADQqffP0ykZEgRMeWzZN/
 ATxos8nJIVFDf/Ogy8QYQ2mUelr3DxjzzTisTfdw0RfPchRM4ih/x7LO9n661cq3hq
 VqoiH5YTO9POzec7MqrNfEMYfUmTe9WS8/3jw73nd4FOQ/oQSz+gtdL9tXSKtbC+iv
 Z4aw1/LxucYWQ==
From: Parenthesis <paren@HIDDEN>
Subject: Re: bug#52149: [PATCH] core-updates-frozen: Update `rustc` to version
 1.56.1 (from 1.54.0)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Message-Id: <XWQQ4R.HJZFP8772I6Y@HIDDEN>
In-Reply-To: <ROPQ4R.HLDS5FQVSORH1@HIDDEN>
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211127232323.2039-1-paren@HIDDEN> <paren@HIDDEN's>
 <87lf0azgfc.fsf_-_@HIDDEN> <NV3N4R.AQQTZDNIMPI63@HIDDEN>
 <ROPQ4R.HLDS5FQVSORH1@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Sun, Dec 26 2021 at 20:46:03 +0000, Parenthesis <paren@HIDDEN> 
wrote:
> Okay, disregard the above patch set... I'm still trying to figure 
> everything out :)
> 
> I didn't realize that you had to send the emails /after/ you finished 
> the entire patch :P

The rustc patches should be okay to merge... I'm still figuring out the 
cargo ones






Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 26 Dec 2021 20:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 26 15:55:09 2021
Received: from localhost ([127.0.0.1]:41690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1aXt-0000Dx-Hf
	for submit <at> debbugs.gnu.org; Sun, 26 Dec 2021 15:55:09 -0500
Received: from knopi.disroot.org ([178.21.23.139]:36802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1aXr-0000Dn-TW
 for 52149 <at> debbugs.gnu.org; Sun, 26 Dec 2021 15:55:08 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 23DA450F73;
 Sun, 26 Dec 2021 21:46:11 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SsPoMEmGkrWS; Sun, 26 Dec 2021 21:46:09 +0100 (CET)
Date: Sun, 26 Dec 2021 20:46:03 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640551569; bh=adFYVacQBscN6E4Y9jaIIcxVnVww7u0FZSwByzBGrQY=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=hOwImWyrOAsrlGJCoF6GgsH2UGGr2SJsteDUBZhKx1JyGTprCU6RGj4nH7V4ipkqa
 hg3fd/NTDabCWKUUmkpDfUAOXtycSxgSxiaGAzQuuVUxkBO5HClbm5iS8esVKrtdbu
 TCPCx14y2ocAOd2bCpad1tGsDFHv6m/zq068OV5Dkv8Fozk4gxRkV8wRkfyu0675E2
 2j+BfZEvw2axEmH8MwkmjLCiytHuZJrT567/sCNej2AsiBzGgvkLEYajnK5dAPePnh
 VaTZwTJ8cEveWGI4Fe6lEM84gkVp8vW7w3VaeUaLL6g4ANkSkYXmmg1TnuGgIjbA2J
 CHVqw7rRj9EzQ==
From: Parenthesis <paren@HIDDEN>
Subject: Re: bug#52149: [PATCH] core-updates-frozen: Update `rustc` to version
 1.56.1 (from 1.54.0)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Message-Id: <ROPQ4R.HLDS5FQVSORH1@HIDDEN>
In-Reply-To: <NV3N4R.AQQTZDNIMPI63@HIDDEN>
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211127232323.2039-1-paren@HIDDEN> <paren@HIDDEN's>
 <87lf0azgfc.fsf_-_@HIDDEN> <NV3N4R.AQQTZDNIMPI63@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Okay, disregard the above patch set... I'm still trying to figure 
everything out :)

I didn't realize that you had to send the emails /after/ you finished 
the entire patch :P







Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 26 Dec 2021 14:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 26 09:49:00 2021
Received: from localhost ([127.0.0.1]:40397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1UpY-0005Xo-4U
	for submit <at> debbugs.gnu.org; Sun, 26 Dec 2021 09:49:00 -0500
Received: from knopi.disroot.org ([178.21.23.139]:38748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1UpW-0005Xf-Kj
 for 52149 <at> debbugs.gnu.org; Sun, 26 Dec 2021 09:48:59 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D94EB50F81;
 Sun, 26 Dec 2021 15:48:56 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id On5nnJuYkFYI; Sun, 26 Dec 2021 15:48:55 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640530135; bh=mW+m2gmMzLl84YE/0D5gdMV0FHWhd0KNf6RwMl4xIEQ=;
 h=From:To:Cc:Subject:Date;
 b=kDDUDqsmC/XLD0BmLnW6AQ360KzBAYfcqByWLQ+Y91ITKuqEr/1YH9XUlf96BGGaC
 42I71UT8cr+e8AchFt/tSVfZdInrE0Waq33SFHlZDomy+LnL49wghbgHzdH/e1QI7m
 2iJgjPDZ2yIfacxH8BYxDPjJXOptgdIf6IAw3FQwKXPanazGGhAtIQvTHjtVEUenvz
 ZzxiPHCPsDwiXDKsiLWlcbdbpyS5XfQpr4QraZc/HDsIVViLk4uibZxUFOpnCv3g6Z
 fIDUPVtYtAKWb/P/9Ej54KVVoZOKImyXbfPwtwhZemt5p3oQ40QXCCbNqMiiOoGyqU
 hJ0QkZK+mPQ2Q==
To: 52149 <at> debbugs.gnu.org
Subject: [PATCH] feat(gnu packages rust): Add 'rust-1.57';
 Change 'rust' to 'rust-1.57'
Date: Sun, 26 Dec 2021 14:48:42 +0000
Message-Id: <20211226144842.4136-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/rust.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index a07a86763e..524a558777 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -780,8 +780,12 @@ (define rust-1.56
   (rust-bootstrapped-package
    rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
 
+(define rust-1.57
+  (rust-bootstrapped-package
+   rust-1.56 "1.57.0" "06jw8ka2p3kls8p0gd4p0chhhb1ia1mlvj96zn78n7qvp71zjiim"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
-(define-public rust rust-1.54)
+(define-public rust rust-1.57)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 25 Dec 2021 20:05:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 25 15:05:34 2021
Received: from localhost ([127.0.0.1]:39902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1DIM-0004C2-3b
	for submit <at> debbugs.gnu.org; Sat, 25 Dec 2021 15:05:34 -0500
Received: from knopi.disroot.org ([178.21.23.139]:60930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1DIK-0004Bs-82
 for 52149 <at> debbugs.gnu.org; Sat, 25 Dec 2021 15:05:33 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D0CD150F89;
 Sat, 25 Dec 2021 21:05:30 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id MqA990k01TX4; Sat, 25 Dec 2021 21:05:29 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640462729; bh=ZDV8nbh4JEtXcdLiTJvImHaevIJNmoM+CzRS16bPOgk=;
 h=From:To:Cc:Subject:Date;
 b=dUu6gjzTfzz3pyxuS72okFuNSJHvh9IVgTpdNd0NdyyVgrcEajuGBOX2ykuyEQPxN
 IVnlavpaIxit3apnrA1qEvEGRyOJTCgQOm0hASwVzC962gL2tfilALn89bm70PCh6v
 1RSikceqNPRCvSmqdyzdfAAN5qo7SdQBv46QC0/cOsmSvFt4pcHF9FU+W/uxUexgRw
 58Ya2UvX7oPHitWqxGbLfKK5ookuubYEnN44WiL7t+g9HPxy9SVohi9yobmhp5GXnD
 r9++LE5jvp5tCSS10dr9sU3Q9pn5/defs8meupC/78QBV+lXJej6F7/TOKrs9b7UGo
 SHrQOelmQIE8w==
To: 52149 <at> debbugs.gnu.org
Subject: [PATCH] feat(gnu/packages/rust): Add 'rust-1.56'
Date: Sat, 25 Dec 2021 20:05:04 +0000
Message-Id: <20211225200504.11299-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is part of the bootstrap chain towards Rust 1.57.
---
 gnu/packages/rust.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 3cdb9a3cd5..a07a86763e 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -776,6 +776,10 @@ (define rust-1.55
   (rust-bootstrapped-package
    rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
 
+(define rust-1.56
+  (rust-bootstrapped-package
+   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 25 Dec 2021 19:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 25 14:55:00 2021
Received: from localhost ([127.0.0.1]:39891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1D87-0003s0-W7
	for submit <at> debbugs.gnu.org; Sat, 25 Dec 2021 14:55:00 -0500
Received: from knopi.disroot.org ([178.21.23.139]:42138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n1D82-0003rm-W6
 for 52149 <at> debbugs.gnu.org; Sat, 25 Dec 2021 14:54:58 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4C00D50F89;
 Sat, 25 Dec 2021 20:54:53 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id rjs5fGBrke_1; Sat, 25 Dec 2021 20:54:52 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640462092; bh=/D3q54NvYNtYA/ErWDrPTC5bHEwsi/ryoVTqFil0/e4=;
 h=From:To:Cc:Subject:Date;
 b=extY36SCBLVRdGT0YghIdFrgWD6c1eq2eiR/HBNE8Msvjv68D/hZHrzMw7x9WM5KZ
 7TGzfNRAJ69RCZr8c1MSsxP5if3qRPG2hwCL+1/7xbU3nnoi/iP76aMeJOGZHWouyI
 4ua8zP/lGN06OF16HMZlb90lClzqB7lfscd2E6gCaH/2RHeAqildWyy40aAW4ewT7K
 je7/LKgS3pGYdhwGyyMX+tHPguSsL40RBaglwiFF/SsqVo+QL0I2QO/W8didXSpt2a
 IW5CVschFcUR8k2x0LJt8w/+5V9wYoMJJpZ65xVVCUxtqHvVk32DidaQJVysd/QzpO
 9yqLNNJYFGRxw==
To: 52149 <at> debbugs.gnu.org
Subject: [PATCH] feat(gnu packages rust): add 'rust-1.55'
Date: Sat, 25 Dec 2021 19:54:22 +0000
Message-Id: <20211225195422.10717-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This commit adds a new version of Rust. This is one part of the extended
bootstrap chain to reach Rust 1.57.
---
 gnu/packages/rust.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 2a43e88727..3cdb9a3cd5 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2020 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2020 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -771,6 +772,10 @@ (define rust-1.54
                             `("procps" ,procps)
                             (package-native-inputs base-rust))))))
 
+(define rust-1.55
+  (rust-bootstrapped-package
+   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 24 Dec 2021 22:02:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 17:02:38 2021
Received: from localhost ([127.0.0.1]:38230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0se1-0005ub-0m
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 17:02:38 -0500
Received: from knopi.disroot.org ([178.21.23.139]:58396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1n0sdw-0005uN-9g
 for 52149 <at> debbugs.gnu.org; Fri, 24 Dec 2021 17:02:31 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D286E50FAF;
 Fri, 24 Dec 2021 23:02:26 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id toHkMGGNcBV4; Fri, 24 Dec 2021 23:02:23 +0100 (CET)
Date: Fri, 24 Dec 2021 22:02:11 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1640383343; bh=Q8xmqGSUAA/Xt4sPl6J5cmLyxB4HSuOzkFLXT6nQ46E=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=mflFzqPagoW0aEAKuQqeTkILCjDaDpvlopS0u14Z7YJXfMHfv4m4dY5bGshYs1sBg
 JDSfo5xjW56e3iqJddoYH50wf9v/6lZY1j8k3yJIlOXeoI8jJNViBpZCWBmx2Y45Ff
 R2Z8qI5mEZUPNnY9W9I9griCTZVZ9y45EXzO8/FATWf5a1nWAFxoQgNDMplYUU9X2o
 TD1l0XscoC8f95FjG2tLRITn25DpLCIcyj6Kwuat+FOX0OchlAtPDRBpSk3gvrO5zo
 2IqhqArfD5A7tI2ufmtBOBAsHFjtAgaqc19gov4J1ou6eFn57by8kwi8JeTTXf+62t
 yweVBBXc6U7fw==
From: Parenthesis <paren@HIDDEN>
Subject: Re: bug#52149: [PATCH] core-updates-frozen: Update `rustc` to version
 1.56.1 (from 1.54.0)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Message-Id: <NV3N4R.AQQTZDNIMPI63@HIDDEN>
In-Reply-To: <87lf0azgfc.fsf_-_@HIDDEN>
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211127232323.2039-1-paren@HIDDEN> <paren@HIDDEN's>
Mime-Version: 1.0
Content-Type: multipart/alternative; boundary="=-pP41bTCLplfiMwy5RtG9"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-pP41bTCLplfiMwy5RtG9
Content-Type: text/plain; charset=iso-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable

On Fri, Dec 24 2021 at 01:05:11 -0500, Maxim Cournoyer=20
<maxim.cournoyer@HIDDEN> wrote:
> Hello!
>=20
> "(unmatched-parenthesis" <paren@HIDDEN=20
> <mailto:paren@HIDDEN>> writes:
>=20
>>  This amended email adds a copyright notice to crates-io.scm.
>>=20
>>  ---
>>   gnu/packages/crates-io.scm | 314=20
>> +++++++++++++++++++++++++++++++++++--
>>   gnu/packages/rust.scm      |  11 +-
>>   2 files changed, 308 insertions(+), 17 deletions(-)
>>   mode change 100644 =3D> 100755 gnu/packages/rust.scm
>>=20
>>  diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
>>  index b8c4c7bd39..cf77cb2b53 100644
>>  --- a/gnu/packages/crates-io.scm
>>  +++ b/gnu/packages/crates-io.scm
>>  @@ -22,6 +22,7 @@
>>   ;;; Copyright =A9 2021 Petr Hodina <phodina@HIDDEN=20
>> <mailto:phodina@HIDDEN>>
>>   ;;; Copyright =A9 2021 Ricardo Wurmus <rekado@HIDDEN=20
>> <mailto:rekado@HIDDEN>>
>>   ;;; Copyright =A9 2021 Jacob Hrbek <kreyren@HIDDEN=20
>> <mailto:kreyren@HIDDEN>>
>>  +;;; Copyright =A9 2021 (unmatched parenthesis <paren@HIDDEN=20
>> <mailto:paren@HIDDEN>>
>>   ;;;
>>   ;;; This file is part of GNU Guix.
>>   ;;;
>>  @@ -8134,6 +8135,96 @@ (define-public rust-caps-0.3
>>           ("rust-error-chain" ,rust-error-chain-0.12)
>>           ("rust-libc" ,rust-libc-0.2))))))
>>=20
>>  +(define-public rust-cargo-0.57
>>  +  (package
>>  +    (name "rust-cargo")
>>  +    (version "0.57.0")
>>  +    (source
>>  +     (origin
>>  +       (method url-fetch)
>>  +       (uri (crate-uri "cargo" version))
>>  +       (file-name
>>  +        (string-append name "-" version ".tar.gz"))
>>  +       (sha256
>>  +        (base32
>>  +         "0nw73wf2f2024qya0lgm6c7wy0vrqd521k2kwzr63gy33fnvk7ai"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +     `(;; The test suite is disabled as the internal=20
>> 'cargo-test-macro' and
>>  +       ;; 'cargo-test-support' crates are not included in the=20
>> release.
>>  +       #:tests? #f
>>  +       #:cargo-inputs
>>  +       (("rust-anyhow" ,rust-anyhow-1)
>>  +        ("rust-atty" ,rust-atty-0.2)
>>  +        ("rust-bytesize" ,rust-bytesize-1)
>>  +        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
>>  +        ("rust-cargo-util" ,rust-cargo-util-0.1)
>>  +        ("rust-clap" ,rust-clap-2)
>>  +        ("rust-core-foundation" ,rust-core-foundation-0.9)
>>  +        ("rust-crates-io" ,rust-crates-io-0.33)
>>  +        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
>>  +        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
>>  +        ("rust-curl" ,rust-curl-0.4)
>>  +        ("rust-curl-sys" ,rust-curl-sys-0.4)
>>  +        ("rust-env-logger" ,rust-env-logger-0.9)
>>  +        ("rust-filetime" ,rust-filetime-0.2)
>>  +        ("rust-flate2" ,rust-flate2-1)
>>  +        ("rust-flate2" ,rust-flate2-1)
>>  +        ("rust-fwdansi" ,rust-fwdansi-1)
>>  +        ("rust-git2" ,rust-git2-0.13)
>>  +        ("rust-git2-curl" ,rust-git2-curl-0.14)
>>  +        ("rust-glob" ,rust-glob-0.3)
>>  +        ("rust-hex" ,rust-hex-0.4)
>>  +        ("rust-home" ,rust-home-0.5)
>>  +        ("rust-humantime" ,rust-humantime-2)
>>  +        ("rust-ignore" ,rust-ignore-0.4)
>>  +        ("rust-im-rc" ,rust-im-rc-15)
>>  +        ("rust-itertools" ,rust-itertools-0.10)
>>  +        ("rust-jobserver" ,rust-jobserver-0.1)
>>  +        ("rust-lazy-static" ,rust-lazy-static-1)
>>  +        ("rust-lazycell" ,rust-lazycell-1)
>>  +        ("rust-libc" ,rust-libc-0.2)
>>  +        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
>>  +        ("rust-log" ,rust-log-0.4)
>>  +        ("rust-memchr" ,rust-memchr-2)
>>  +        ("rust-miow" ,rust-miow-0.3)
>>  +        ("rust-num-cpus" ,rust-num-cpus-1)
>>  +        ("rust-opener" ,rust-opener-0.5)
>>  +        ("rust-openssl" ,rust-openssl-0.10)
>>  +        ("rust-percent-encoding" ,rust-percent-encoding-2)
>>  +        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
>>  +        ("rust-rand" ,rust-rand-0.8)
>>  +        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
>>  +        ("rust-rustfix" ,rust-rustfix-0.6)
>>  +        ("rust-same-file" ,rust-same-file-1)
>>  +        ("rust-semver" ,rust-semver-1)
>>  +        ("rust-serde" ,rust-serde-1)
>>  +        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
>>  +        ("rust-serde-json" ,rust-serde-json-1)
>>  +        ("rust-shell-escape" ,rust-shell-escape-0.1)
>>  +        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
>>  +        ("rust-tar" ,rust-tar-0.4)
>>  +        ("rust-tempfile" ,rust-tempfile-3)
>>  +        ("rust-termcolor" ,rust-termcolor-1)
>>  +        ("rust-toml" ,rust-toml-0.5)
>>  +        ("rust-unicode-width" ,rust-unicode-width-0.1)
>>  +        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
>>  +        ("rust-url" ,rust-url-2)
>>  +        ("rust-walkdir" ,rust-walkdir-2)
>>  +        ("rust-winapi" ,rust-winapi-0.3))))
>>  +    (native-inputs
>>  +     `(("pkg-config" ,pkg-config)))
>>  +    (inputs
>>  +     `(("curl" ,curl)
>>  +       ("libssh2" ,libssh2)
>>  +       ("openssl" ,openssl)
>>  +       ("zlib" ,zlib)))
>>  +    (home-page "https://crates.io <https://crates.io/>")
>>  +    (synopsis "Package manager for Rust")
>>  +    (description "Cargo, a package manager for Rust.  This package=20
>> provides
>>  +the library crate of Cargo.")
>>  +    (license (list license:expat license:asl2.0))))
>>  +
>>   (define-public rust-cargo-0.53
>>     (package
>>       (name "rust-cargo")
>>  @@ -8201,7 +8292,6 @@ (define-public rust-cargo-0.53
>>           ("rust-shell-escape" ,rust-shell-escape-0.1)
>>           ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
>>           ("rust-tar" ,rust-tar-0.4)
>>  -        ("rust-tar" ,rust-tar-0.4)
>>           ("rust-tempfile" ,rust-tempfile-3)
>>           ("rust-termcolor" ,rust-termcolor-1)
>>           ("rust-toml" ,rust-toml-0.5)
>>  @@ -8309,7 +8399,7 @@ (define-public rust-cargo-metadata-0.6
>>   (define-public rust-cargo-platform-0.1
>>     (package
>>       (name "rust-cargo-platform")
>>  -    (version "0.1.1")
>>  +    (version "0.1.2")
>>       (source
>>        (origin
>>          (method url-fetch)
>>  @@ -8318,7 +8408,7 @@ (define-public rust-cargo-platform-0.1
>>           (string-append name "-" version ".tar.gz"))
>>          (sha256
>>           (base32
>>  -         "1mzi60pf0z83qkzqp7jwd61xnqz2b5ydsj7rnnikbgyicd5989h2"))))
>>  +         "09zsf76b9yr02jh17xq925xp1w824w2bwvb78fd0gpx5m1fq5nyb"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:cargo-inputs
>>  @@ -8329,6 +8419,39 @@ (define-public rust-cargo-platform-0.1
>>   supported by Cargo.")
>>       (license (list license:expat license:asl2.0))))
>>=20
>>  +(define-public rust-cargo-util-0.1
>>  +  (package
>>  +    (name "rust-cargo-util")
>>  +    (version "0.1.1")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "cargo-util" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "1szsqx6n9lvvpfnppw9xiah0d5mg8x80i5s17kv25q6lg8zn7gzj"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-anyhow" ,rust-anyhow-1)
>>  +         ("rust-core-foundation" ,rust-core-foundation-0.9)
>>  +         ("rust-crypto-hash" ,rust-crypto-hash-0.3)
>>  +         ("rust-filetime" ,rust-filetime-0.2)
>>  +         ("rust-hex" ,rust-hex-0.4)
>>  +         ("rust-jobserver" ,rust-jobserver-0.1)
>>  +         ("rust-libc" ,rust-libc-0.2)
>>  +         ("rust-log" ,rust-log-0.4)
>>  +         ("rust-miow" ,rust-miow-0.3)
>>  +         ("rust-same-file" ,rust-same-file-1)
>>  +         ("rust-shell-escape" ,rust-shell-escape-0.1)
>>  +         ("rust-tempfile" ,rust-tempfile-3)
>>  +         ("rust-walkdir" ,rust-walkdir-2)
>>  +         ("rust-winapi" ,rust-winapi-0.3))))
>>  +    (home-page "<https://github.com/rust-lang/cargo>")
>>  +    (synopsis "Miscellaneous support code used by Cargo.")
>>  +    (description "Miscellaneous support code used by Cargo.")
>>  +    (license (list license:expat license:asl2.0))))
>>  +
>>   (define-public rust-cargon-0.0
>>     (package
>>       (name "rust-cargon")
>>  @@ -12857,14 +12980,14 @@ (define-public rust-cty-0.2
>>   (define-public rust-curl-0.4
>>     (package
>>       (name "rust-curl")
>>  -    (version "0.4.34")
>>  +    (version "0.4.41")
>>       (source
>>        (origin
>>          (method url-fetch)
>>          (uri (crate-uri "curl" version))
>>          (file-name (string-append name "-" version ".tar.gz"))
>>          (sha256
>>  -        (base32=20
>> "0vkm6fyizf8m9yxpv3n5pm9ag3bwlyqa6nz2ga8qkzm5y4m1cs72"))))
>>  +        (base32=20
>> "1qqbrvgbnzik4vlni25jwsk3ff57snmbp0zvdzdzhq9jaqrx5ihv"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:tests? #false                  ;require internet access
>>  @@ -12874,7 +12997,7 @@ (define-public rust-curl-0.4
>>           ("rust-openssl-probe" ,rust-openssl-probe-0.1)
>>           ("rust-openssl-sys" ,rust-openssl-sys-0.9)
>>           ("rust-schannel" ,rust-schannel-0.1)
>>  -        ("rust-socket2" ,rust-socket2-0.3)
>>  +        ("rust-socket2" ,rust-socket2-0.4)
>>           ("rust-winapi" ,rust-winapi-0.3))
>>          #:cargo-development-inputs
>>          (("rust-anyhow" ,rust-anyhow-1)
>>  @@ -12897,7 +13020,7 @@ (define-public rust-curl-0.4
>>   (define-public rust-curl-sys-0.4
>>     (package
>>       (name "rust-curl-sys")
>>  -    (version "0.4.39+curl-7.74.0")
>>  +    (version "0.4.51+curl-7.80.0")
>>       (source
>>         (origin
>>           (method url-fetch)
>>  @@ -12905,7 +13028,7 @@ (define-public rust-curl-sys-0.4
>>           (file-name (string-append name "-" version ".tar.gz"))
>>           (sha256
>>            (base32
>>  -          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
>>  +          "085gwlfq15fxp0zvx14sf3k91ka8z8i30271i44gwd3ad9z9hc6i"))
>>           (modules '((guix build utils)))
>>           (snippet
>>            '(begin (delete-file-recursively "curl") #t))))
>>  @@ -15756,6 +15879,31 @@ (define-public rust-duct-0.13
>>        "A library for running child processes.")
>>       (license license:expat)))
>>=20
>>  +(define-public rust-duct-0.9
>>  +  (package
>>  +    (name "rust-duct")
>>  +    (version "0.9.2")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "duct" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "17al305wq9qw54c1idlnjpvwyq37kd1g76z427vgfx0fyiwksmcc"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-lazycell" ,rust-lazycell-0.5)
>>  +         ("rust-libc" ,rust-libc-0.2)
>>  +         ("rust-os-pipe" ,rust-os-pipe-0.6)
>>  +         ("rust-shared-child" ,rust-shared-child-0.3))
>>  +        #:cargo-development-inputs
>>  +        (("rust-tempdir" ,rust-tempdir-0.3))))
>>  +    (home-page "<https://github.com/oconnor663/duct.rs>")
>>  +    (synopsis "a library for running child processes")
>>  +    (description "a library for running child processes")
>>  +    (license license:expat)))
>>  +
>>   (define-public rust-dunce-1
>>     (package
>>       (name "rust-dunce")
>>  @@ -16807,6 +16955,36 @@ (define-public rust-enumflags2-derive-0.6
>>       (description "Enumflags2 implements the classic bitflags=20
>> datastructure.")
>>       (license (list license:expat license:asl2.0))))
>>=20
>>  +(define-public rust-env-logger-0.9
>>  +  (package
>>  +    (name "rust-env-logger")
>>  +    (version "0.9.0")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "env_logger" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "1hzr53r0wga51j0w5zid69ylbfizg4qdbq0vqdj6rvki94sg0b0b"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-atty" ,rust-atty-0.2)
>>  +         ("rust-humantime" ,rust-humantime-2)
>>  +         ("rust-log" ,rust-log-0.4)
>>  +         ("rust-regex" ,rust-regex-1)
>>  +         ("rust-termcolor" ,rust-termcolor-1))))
>>  +    (home-page "<https://github.com/env-logger-rs/env_logger/>")
>>  +    (synopsis
>>  +      "A logging implementation for `log` which is configured via=20
>> an environment
>>  +variable.
>>  +")
>>  +    (description
>>  +      "This package provides a logging implementation for `log`=20
>> which is configured via an environment
>>  +variable.
>>  +")
>>  +    (license (list license:expat license:asl2.0))))
>>  +
>>   (define-public rust-env-logger-0.8
>>     (package
>>       (name "rust-env-logger")
>>  @@ -25063,14 +25241,14 @@ (define-public rust-iso8601-0.1
>>   (define-public rust-itertools-0.10
>>     (package
>>       (name "rust-itertools")
>>  -    (version "0.10.0")
>>  +    (version "0.10.1")
>>       (source
>>        (origin
>>          (method url-fetch)
>>          (uri (crate-uri "itertools" version))
>>          (file-name (string-append name "-" version ".tar.gz"))
>>          (sha256
>>  -        (base32=20
>> "06dkghwi1a6ah2103gibxnr2ys762m5x4rp75x0q43imis8p5m9p"))))
>>  +        (base32=20
>> "1bsyxnm20x05rwc5qskrqy4cfswrcadzlwc26dkqml6hz64vipb9"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:skip-build? #t
>>  @@ -25530,7 +25708,7 @@ (define-public rust-jni-sys-0.3
>>   (define-public rust-jobserver-0.1
>>     (package
>>       (name "rust-jobserver")
>>  -    (version "0.1.22")
>>  +    (version "0.1.24")
>>       (source
>>        (origin
>>          (method url-fetch)
>>  @@ -25539,7 +25717,7 @@ (define-public rust-jobserver-0.1
>>           (string-append name "-" version ".tar.gz"))
>>          (sha256
>>           (base32
>>  -         "1zg7p4khibisbvd8b1lqvvni6lr00g49d4bq2zj6m76bs7jmlbwp"))))
>>  +         "1yn1vxbbqv7dqir6qbfcj8h8ddjf89m5mhvm36h13xx7k5raf9dg"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:cargo-inputs
>>  @@ -34079,6 +34257,28 @@ (define-public rust-open-1
>>   the system.")
>>       (license license:expat)))
>>=20
>>  +(define-public rust-opener-0.5
>>  +  (package
>>  +    (name "rust-opener")
>>  +    (version "0.5.0")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "opener" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "0lkrn4fv1h4m8gmp7ll6x7vjvb6kls2ngwa5cgsh2ix5fb6yp8sf"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-bstr" ,rust-bstr-0.2) ("rust-winapi"=20
>> ,rust-winapi-0.3))
>>  +        #:cargo-development-inputs
>>  +        (("rust-version-sync" ,rust-version-sync-0.9))))
>>  +    (home-page "<https://github.com/Seeker14491/opener>")
>>  +    (synopsis "Open a file or link using the system default=20
>> program.")
>>  +    (description "Open a file or link using the system default=20
>> program.")
>>  +    (license (list license:expat license:asl2.0))))
>>  +
>>   (define-public rust-opener-0.4
>>     (package
>>       (name "rust-opener")
>>  @@ -44267,6 +44467,36 @@ (define-public rust-rustdoc-stripper-0.1
>>        "This package provides a tool to manipulate rustdoc=20
>> comments.")
>>       (license license:asl2.0)))
>>=20
>>  +(define-public rust-rustfix-0.6
>>  +  (package
>>  +    (name "rust-rustfix")
>>  +    (version "0.6.0")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "rustfix" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "0apkjxv3z70vhnyz2kpwsivvndk6qk7kkp0rf7sg8pk7q1gy02vg"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-anyhow" ,rust-anyhow-1)
>>  +         ("rust-log" ,rust-log-0.4)
>>  +         ("rust-serde" ,rust-serde-1)
>>  +         ("rust-serde-json" ,rust-serde-json-1))
>>  +        #:cargo-development-inputs
>>  +        (("rust-duct" ,rust-duct-0.9)
>>  +         ("rust-env-logger" ,rust-env-logger-0.5)
>>  +         ("rust-log" ,rust-log-0.4)
>>  +         ("rust-proptest" ,rust-proptest-0.7)
>>  +         ("rust-similar" ,rust-similar-0.4)
>>  +         ("rust-tempdir" ,rust-tempdir-0.3))))
>>  +    (home-page "<https://github.com/rust-lang-nursery/rustfix>")
>>  +    (synopsis "Automatically apply the suggestions made by rustc")
>>  +    (description "Automatically apply the suggestions made by=20
>> rustc")
>>  +    (license (list license:asl2.0 license:expat))))
>>  +
>>   (define-public rust-rustfix-0.5
>>     (package
>>       (name "rust-rustfix")
>>  @@ -48793,6 +49023,28 @@ (define-public rust-similar-1
>>       (description "This package provides a diff library for Rust.")
>>       (license license:asl2.0)))
>>=20
>>  +(define-public rust-similar-0.4
>>  +  (package
>>  +    (name "rust-similar")
>>  +    (version "0.4.0")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "similar" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "1v6h326qwjdydxk22dfz3x86zp8r1qdnajb3f37w8ngyivzmjgw2"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-unicode-segmentation"=20
>> ,rust-unicode-segmentation-1))
>>  +        #:cargo-development-inputs
>>  +        (("rust-console" ,rust-console-0.14) ("rust-insta"=20
>> ,rust-insta-1))))
>>  +    (home-page "<https://github.com/mitsuhiko/similar>")
>>  +    (synopsis "A diff library for Rust")
>>  +    (description "This package provides a diff library for Rust")
>>  +    (license license:asl2.0)))
>>  +
>>   (define-public rust-simple-mutex-1
>>     (package
>>       (name "rust-simple-mutex")
>>  @@ -49635,7 +49887,7 @@ (define-public rust-snap-1
>>   (define-public rust-socket2-0.4
>>     (package
>>       (name "rust-socket2")
>>  -    (version "0.4.0")
>>  +    (version "0.4.2")
>>       (source
>>         (origin
>>           (method url-fetch)
>>  @@ -49644,7 +49896,7 @@ (define-public rust-socket2-0.4
>>            (string-append name "-" version ".tar.gz"))
>>           (sha256
>>            (base32
>>  -         =20
>> "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
>>  +         =20
>> "05imvybc86slkbg6sj9rd1xy9a8ydn1v2bcqjqr346myqzk0zjax"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:cargo-inputs
>>  @@ -52620,7 +52872,7 @@ (define-public rust-tap-1
>>   (define-public rust-tar-0.4
>>     (package
>>       (name "rust-tar")
>>  -    (version "0.4.26")
>>  +    (version "0.4.37")
>>       (source
>>         (origin
>>           (method url-fetch)
>>  @@ -52628,7 +52880,7 @@ (define-public rust-tar-0.4
>>           (file-name (string-append name "-" version ".crate"))
>>           (sha256
>>            (base32
>>  -         =20
>> "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
>>  +         =20
>> "0p5srm08dly2bdgkpnjdfmxvldmvi31q6yxdvjxy0lnx79fm3xfn"))))
>>       (build-system cargo-build-system)
>>       (arguments
>>        `(#:tests? #f      ; Test tarballs not included in crate.
>>  @@ -59888,6 +60140,36 @@ (define-public rust-version-compare-0.0
>>   numbers, and test them against various comparison operators.")
>>       (license license:expat)))
>>=20
>>  +(define-public rust-version-sync-0.9
>>  +  (package
>>  +    (name "rust-version-sync")
>>  +    (version "0.9.3")
>>  +    (source
>>  +      (origin
>>  +        (method url-fetch)
>>  +        (uri (crate-uri "version-sync" version))
>>  +        (file-name (string-append name "-" version ".tar.gz"))
>>  +        (sha256
>>  +          (base32=20
>> "0kaqwjr7jlq3afh28jn052vm15z58h8szvbggwdavdng0wzy98x7"))))
>>  +    (build-system cargo-build-system)
>>  +    (arguments
>>  +      `(#:cargo-inputs
>>  +        (("rust-proc-macro2" ,rust-proc-macro2-1)
>>  +         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
>>  +         ("rust-regex" ,rust-regex-1)
>>  +         ("rust-semver-parser" ,rust-semver-parser-0.9)
>>  +         ("rust-syn" ,rust-syn-1)
>>  +         ("rust-toml" ,rust-toml-0.5)
>>  +         ("rust-url" ,rust-url-2))
>>  +        #:cargo-development-inputs
>>  +        (("rust-tempfile" ,rust-tempfile-3))))
>>  +    (home-page "<https://github.com/mgeisler/version-sync>")
>>  +    (synopsis
>>  +      "Crate for ensuring that version numbers in README files and=20
>> other files are kept in sync with the crate version.")
>>  +    (description
>>  +      "Crate for ensuring that version numbers in README files and=20
>> other files are kept in sync with the crate version.")
>>  +    (license license:expat)))
>>  +
>>   (define-public rust-version-sync-0.8
>>     (package
>>       (name "rust-version-sync")
>>  diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
>>  old mode 100644
>>  new mode 100755
>>  index f7f05851f1..a1f3d757cd
>>  --- a/gnu/packages/rust.scm
>>  +++ b/gnu/packages/rust.scm
>>  @@ -12,6 +12,7 @@
>>   ;;; Copyright =A9 2020 Pierre Langlois <pierre.langlois@HIDDEN=20
>> <mailto:pierre.langlois@HIDDEN>>
>>   ;;; Copyright =A9 2020 Matthew James Kraai <kraai@HIDDEN=20
>> <mailto:kraai@HIDDEN>>
>>   ;;; Copyright =A9 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN=20
>> <mailto:maxim.cournoyer@HIDDEN>>
>>  +;;; Copyright =A9 2021 (unmatched parenthesis <paren@HIDDEN=20
>> <mailto:paren@HIDDEN>>
>>   ;;;
>>   ;;; This file is part of GNU Guix.
>>   ;;;
>>  @@ -769,8 +770,16 @@ (define rust-1.54
>>                               `("procps" ,procps)
>>                               (package-native-inputs base-rust))))))
>>=20
>>  +(define rust-1.55
>>  +  (rust-bootstrapped-package
>>  +   rust-1.54 "1.55.0"=20
>> "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
>>  +
>>  +(define rust-1.56
>>  +  (rust-bootstrapped-package
>>  +   rust-1.55 "1.56.1"=20
>> "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
>>  +
>>   ;;; Note: Only the latest versions of Rust are supported and=20
>> tested.  The
>>   ;;; intermediate rusts are built for bootstrapping purposes and=20
>> should not
>>   ;;; be relied upon.  This is to ease maintenance and reduce the=20
>> time
>>   ;;; required to build the full Rust bootstrap chain.
>>  -(define-public rust rust-1.54)
>>  +(define-public rust rust-1.56)
>=20
> Thank you for this, it looks promising!
>=20
> We usually split the commits as one per package touched (unless when
> doing otherwise would break packages for a long series of commits).)
>=20
> Were you able to test it?
>=20
> After you've split your commits into per-package ones, I'll try=20
> having a
> look!
>=20
> Thank you,
>=20
> Maxim

Sorry, I forgot to add a 'Cc' address, and sent it directly to you...=20
I'll repost that.

Hi!

I was able to test Rust, I can definitely remember 1.56 building=20
properly on my machine. I'll get to work updating it to the latest Guix=20
master tomorrow. I'm not sure if Cargo worked.

BTW, Rust has released a new 1.57 version; I'll make sure to add that.

One question: will it be possible to merge this into master _if_ I=20
don't touch the 'rust' variable (so that Rust packages won't be=20
rebuilt)? If so, I'll revert that change when I update this to latest=20
guix. Rust packages have a habit of always depending on the newest,=20
shinyest releases (that's why I did this in the first place, although=20
the c-u-f merge did improve the situation by adding 1.54.0)




--=-pP41bTCLplfiMwy5RtG9
Content-Type: text/html; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

<div id=3D"geary-body" dir=3D"auto"></div><div id=3D"geary-quote" dir=3D"au=
to">On Fri, Dec 24 2021 at 01:05:11 -0500, Maxim Cournoyer &lt;maxim.courno=
yer@HIDDEN&gt; wrote:<br><blockquote type=3D"cite"><div class=3D"plainte=
xt" style=3D"white-space: break-spaces;">Hello!

"(unmatched-parenthesis" &lt;<a href=3D"mailto:paren@HIDDEN">paren@dis=
root.org</a>&gt; writes:

<blockquote> This amended email adds a copyright notice to crates-io.scm.

 ---
  gnu/packages/crates-io.scm | 314 +++++++++++++++++++++++++++++++++++--
  gnu/packages/rust.scm      |  11 +-
  2 files changed, 308 insertions(+), 17 deletions(-)
  mode change 100644 =3D&gt; 100755 gnu/packages/rust.scm

 diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
 index b8c4c7bd39..cf77cb2b53 100644
 --- a/gnu/packages/crates-io.scm
 +++ b/gnu/packages/crates-io.scm
 @@ -22,6 +22,7 @@
  ;;; Copyright =A9 2021 Petr Hodina &lt;<a href=3D"mailto:phodina@protonma=
il.com">phodina@HIDDEN</a>&gt;
  ;;; Copyright =A9 2021 Ricardo Wurmus &lt;<a href=3D"mailto:rekado@elephl=
y.net">rekado@HIDDEN</a>&gt;
  ;;; Copyright =A9 2021 Jacob Hrbek &lt;<a href=3D"mailto:kreyren@rixotstu=
dio.cz">kreyren@HIDDEN</a>&gt;
 +;;; Copyright =A9 2021 (unmatched parenthesis &lt;<a href=3D"mailto:paren=
@disroot.org">paren@HIDDEN</a>&gt;
  ;;;
  ;;; This file is part of GNU Guix.
  ;;;
 @@ -8134,6 +8135,96 @@ (define-public rust-caps-0.3
          ("rust-error-chain" ,rust-error-chain-0.12)
          ("rust-libc" ,rust-libc-0.2))))))
 =20
 +(define-public rust-cargo-0.57
 +  (package
 +    (name "rust-cargo")
 +    (version "0.57.0")
 +    (source
 +     (origin
 +       (method url-fetch)
 +       (uri (crate-uri "cargo" version))
 +       (file-name
 +        (string-append name "-" version ".tar.gz"))
 +       (sha256
 +        (base32
 +         "0nw73wf2f2024qya0lgm6c7wy0vrqd521k2kwzr63gy33fnvk7ai"))))
 +    (build-system cargo-build-system)
 +    (arguments
 +     `(;; The test suite is disabled as the internal 'cargo-test-macro' a=
nd
 +       ;; 'cargo-test-support' crates are not included in the release.
 +       #:tests? #f
 +       #:cargo-inputs
 +       (("rust-anyhow" ,rust-anyhow-1)
 +        ("rust-atty" ,rust-atty-0.2)
 +        ("rust-bytesize" ,rust-bytesize-1)
 +        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
 +        ("rust-cargo-util" ,rust-cargo-util-0.1)
 +        ("rust-clap" ,rust-clap-2)
 +        ("rust-core-foundation" ,rust-core-foundation-0.9)
 +        ("rust-crates-io" ,rust-crates-io-0.33)
 +        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
 +        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
 +        ("rust-curl" ,rust-curl-0.4)
 +        ("rust-curl-sys" ,rust-curl-sys-0.4)
 +        ("rust-env-logger" ,rust-env-logger-0.9)
 +        ("rust-filetime" ,rust-filetime-0.2)
 +        ("rust-flate2" ,rust-flate2-1)
 +        ("rust-flate2" ,rust-flate2-1)
 +        ("rust-fwdansi" ,rust-fwdansi-1)
 +        ("rust-git2" ,rust-git2-0.13)
 +        ("rust-git2-curl" ,rust-git2-curl-0.14)
 +        ("rust-glob" ,rust-glob-0.3)
 +        ("rust-hex" ,rust-hex-0.4)
 +        ("rust-home" ,rust-home-0.5)
 +        ("rust-humantime" ,rust-humantime-2)
 +        ("rust-ignore" ,rust-ignore-0.4)
 +        ("rust-im-rc" ,rust-im-rc-15)
 +        ("rust-itertools" ,rust-itertools-0.10)
 +        ("rust-jobserver" ,rust-jobserver-0.1)
 +        ("rust-lazy-static" ,rust-lazy-static-1)
 +        ("rust-lazycell" ,rust-lazycell-1)
 +        ("rust-libc" ,rust-libc-0.2)
 +        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
 +        ("rust-log" ,rust-log-0.4)
 +        ("rust-memchr" ,rust-memchr-2)
 +        ("rust-miow" ,rust-miow-0.3)
 +        ("rust-num-cpus" ,rust-num-cpus-1)
 +        ("rust-opener" ,rust-opener-0.5)
 +        ("rust-openssl" ,rust-openssl-0.10)
 +        ("rust-percent-encoding" ,rust-percent-encoding-2)
 +        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
 +        ("rust-rand" ,rust-rand-0.8)
 +        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
 +        ("rust-rustfix" ,rust-rustfix-0.6)
 +        ("rust-same-file" ,rust-same-file-1)
 +        ("rust-semver" ,rust-semver-1)
 +        ("rust-serde" ,rust-serde-1)
 +        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
 +        ("rust-serde-json" ,rust-serde-json-1)
 +        ("rust-shell-escape" ,rust-shell-escape-0.1)
 +        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
 +        ("rust-tar" ,rust-tar-0.4)
 +        ("rust-tempfile" ,rust-tempfile-3)
 +        ("rust-termcolor" ,rust-termcolor-1)
 +        ("rust-toml" ,rust-toml-0.5)
 +        ("rust-unicode-width" ,rust-unicode-width-0.1)
 +        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
 +        ("rust-url" ,rust-url-2)
 +        ("rust-walkdir" ,rust-walkdir-2)
 +        ("rust-winapi" ,rust-winapi-0.3))))
 +    (native-inputs
 +     `(("pkg-config" ,pkg-config)))
 +    (inputs
 +     `(("curl" ,curl)
 +       ("libssh2" ,libssh2)
 +       ("openssl" ,openssl)
 +       ("zlib" ,zlib)))
 +    (home-page "<a href=3D"https://crates.io">https://crates.io</a>")
 +    (synopsis "Package manager for Rust")
 +    (description "Cargo, a package manager for Rust.  This package provid=
es
 +the library crate of Cargo.")
 +    (license (list license:expat license:asl2.0))))
 +
  (define-public rust-cargo-0.53
    (package
      (name "rust-cargo")
 @@ -8201,7 +8292,6 @@ (define-public rust-cargo-0.53
          ("rust-shell-escape" ,rust-shell-escape-0.1)
          ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
          ("rust-tar" ,rust-tar-0.4)
 -        ("rust-tar" ,rust-tar-0.4)
          ("rust-tempfile" ,rust-tempfile-3)
          ("rust-termcolor" ,rust-termcolor-1)
          ("rust-toml" ,rust-toml-0.5)
 @@ -8309,7 +8399,7 @@ (define-public rust-cargo-metadata-0.6
  (define-public rust-cargo-platform-0.1
    (package
      (name "rust-cargo-platform")
 -    (version "0.1.1")
 +    (version "0.1.2")
      (source
       (origin
         (method url-fetch)
 @@ -8318,7 +8408,7 @@ (define-public rust-cargo-platform-0.1
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
 -         "1mzi60pf0z83qkzqp7jwd61xnqz2b5ydsj7rnnikbgyicd5989h2"))))
 +         "09zsf76b9yr02jh17xq925xp1w824w2bwvb78fd0gpx5m1fq5nyb"))))
      (build-system cargo-build-system)
      (arguments
       `(#:cargo-inputs
 @@ -8329,6 +8419,39 @@ (define-public rust-cargo-platform-0.1
  supported by Cargo.")
      (license (list license:expat license:asl2.0))))
 =20
 +(define-public rust-cargo-util-0.1
 +  (package
 +    (name "rust-cargo-util")
 +    (version "0.1.1")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "cargo-util" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "1szsqx6n9lvvpfnppw9xiah0d5mg8x80i5s17kv25q6lg8zn7gzj")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-anyhow" ,rust-anyhow-1)
 +         ("rust-core-foundation" ,rust-core-foundation-0.9)
 +         ("rust-crypto-hash" ,rust-crypto-hash-0.3)
 +         ("rust-filetime" ,rust-filetime-0.2)
 +         ("rust-hex" ,rust-hex-0.4)
 +         ("rust-jobserver" ,rust-jobserver-0.1)
 +         ("rust-libc" ,rust-libc-0.2)
 +         ("rust-log" ,rust-log-0.4)
 +         ("rust-miow" ,rust-miow-0.3)
 +         ("rust-same-file" ,rust-same-file-1)
 +         ("rust-shell-escape" ,rust-shell-escape-0.1)
 +         ("rust-tempfile" ,rust-tempfile-3)
 +         ("rust-walkdir" ,rust-walkdir-2)
 +         ("rust-winapi" ,rust-winapi-0.3))))
 +    (home-page "<a href=3D"https://github.com/rust-lang/cargo">https://gi=
thub.com/rust-lang/cargo</a>")
 +    (synopsis "Miscellaneous support code used by Cargo.")
 +    (description "Miscellaneous support code used by Cargo.")
 +    (license (list license:expat license:asl2.0))))
 +
  (define-public rust-cargon-0.0
    (package
      (name "rust-cargon")
 @@ -12857,14 +12980,14 @@ (define-public rust-cty-0.2
  (define-public rust-curl-0.4
    (package
      (name "rust-curl")
 -    (version "0.4.34")
 +    (version "0.4.41")
      (source
       (origin
         (method url-fetch)
         (uri (crate-uri "curl" version))
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
 -        (base32 "0vkm6fyizf8m9yxpv3n5pm9ag3bwlyqa6nz2ga8qkzm5y4m1cs72")))=
)
 +        (base32 "1qqbrvgbnzik4vlni25jwsk3ff57snmbp0zvdzdzhq9jaqrx5ihv")))=
)
      (build-system cargo-build-system)
      (arguments
       `(#:tests? #false                  ;require internet access
 @@ -12874,7 +12997,7 @@ (define-public rust-curl-0.4
          ("rust-openssl-probe" ,rust-openssl-probe-0.1)
          ("rust-openssl-sys" ,rust-openssl-sys-0.9)
          ("rust-schannel" ,rust-schannel-0.1)
 -        ("rust-socket2" ,rust-socket2-0.3)
 +        ("rust-socket2" ,rust-socket2-0.4)
          ("rust-winapi" ,rust-winapi-0.3))
         #:cargo-development-inputs
         (("rust-anyhow" ,rust-anyhow-1)
 @@ -12897,7 +13020,7 @@ (define-public rust-curl-0.4
  (define-public rust-curl-sys-0.4
    (package
      (name "rust-curl-sys")
 -    (version "0.4.39+curl-7.74.0")
 +    (version "0.4.51+curl-7.80.0")
      (source
        (origin
          (method url-fetch)
 @@ -12905,7 +13028,7 @@ (define-public rust-curl-sys-0.4
          (file-name (string-append name "-" version ".tar.gz"))
          (sha256
           (base32
 -          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
 +          "085gwlfq15fxp0zvx14sf3k91ka8z8i30271i44gwd3ad9z9hc6i"))
          (modules '((guix build utils)))
          (snippet
           '(begin (delete-file-recursively "curl") #t))))
 @@ -15756,6 +15879,31 @@ (define-public rust-duct-0.13
       "A library for running child processes.")
      (license license:expat)))
 =20
 +(define-public rust-duct-0.9
 +  (package
 +    (name "rust-duct")
 +    (version "0.9.2")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "duct" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "17al305wq9qw54c1idlnjpvwyq37kd1g76z427vgfx0fyiwksmcc")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-lazycell" ,rust-lazycell-0.5)
 +         ("rust-libc" ,rust-libc-0.2)
 +         ("rust-os-pipe" ,rust-os-pipe-0.6)
 +         ("rust-shared-child" ,rust-shared-child-0.3))
 +        #:cargo-development-inputs
 +        (("rust-tempdir" ,rust-tempdir-0.3))))
 +    (home-page "<a href=3D"https://github.com/oconnor663/duct.rs">https:/=
/github.com/oconnor663/duct.rs</a>")
 +    (synopsis "a library for running child processes")
 +    (description "a library for running child processes")
 +    (license license:expat)))
 +
  (define-public rust-dunce-1
    (package
      (name "rust-dunce")
 @@ -16807,6 +16955,36 @@ (define-public rust-enumflags2-derive-0.6
      (description "Enumflags2 implements the classic bitflags datastructur=
e.")
      (license (list license:expat license:asl2.0))))
 =20
 +(define-public rust-env-logger-0.9
 +  (package
 +    (name "rust-env-logger")
 +    (version "0.9.0")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "env_logger" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "1hzr53r0wga51j0w5zid69ylbfizg4qdbq0vqdj6rvki94sg0b0b")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-atty" ,rust-atty-0.2)
 +         ("rust-humantime" ,rust-humantime-2)
 +         ("rust-log" ,rust-log-0.4)
 +         ("rust-regex" ,rust-regex-1)
 +         ("rust-termcolor" ,rust-termcolor-1))))
 +    (home-page "<a href=3D"https://github.com/env-logger-rs/env_logger/">=
https://github.com/env-logger-rs/env_logger/</a>")
 +    (synopsis
 +      "A logging implementation for `log` which is configured via an envi=
ronment
 +variable.
 +")
 +    (description
 +      "This package provides a logging implementation for `log` which is =
configured via an environment
 +variable.
 +")
 +    (license (list license:expat license:asl2.0))))
 +
  (define-public rust-env-logger-0.8
    (package
      (name "rust-env-logger")
 @@ -25063,14 +25241,14 @@ (define-public rust-iso8601-0.1
  (define-public rust-itertools-0.10
    (package
      (name "rust-itertools")
 -    (version "0.10.0")
 +    (version "0.10.1")
      (source
       (origin
         (method url-fetch)
         (uri (crate-uri "itertools" version))
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
 -        (base32 "06dkghwi1a6ah2103gibxnr2ys762m5x4rp75x0q43imis8p5m9p")))=
)
 +        (base32 "1bsyxnm20x05rwc5qskrqy4cfswrcadzlwc26dkqml6hz64vipb9")))=
)
      (build-system cargo-build-system)
      (arguments
       `(#:skip-build? #t
 @@ -25530,7 +25708,7 @@ (define-public rust-jni-sys-0.3
  (define-public rust-jobserver-0.1
    (package
      (name "rust-jobserver")
 -    (version "0.1.22")
 +    (version "0.1.24")
      (source
       (origin
         (method url-fetch)
 @@ -25539,7 +25717,7 @@ (define-public rust-jobserver-0.1
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
 -         "1zg7p4khibisbvd8b1lqvvni6lr00g49d4bq2zj6m76bs7jmlbwp"))))
 +         "1yn1vxbbqv7dqir6qbfcj8h8ddjf89m5mhvm36h13xx7k5raf9dg"))))
      (build-system cargo-build-system)
      (arguments
       `(#:cargo-inputs
 @@ -34079,6 +34257,28 @@ (define-public rust-open-1
  the system.")
      (license license:expat)))
 =20
 +(define-public rust-opener-0.5
 +  (package
 +    (name "rust-opener")
 +    (version "0.5.0")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "opener" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "0lkrn4fv1h4m8gmp7ll6x7vjvb6kls2ngwa5cgsh2ix5fb6yp8sf")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-bstr" ,rust-bstr-0.2) ("rust-winapi" ,rust-winapi-0.3))
 +        #:cargo-development-inputs
 +        (("rust-version-sync" ,rust-version-sync-0.9))))
 +    (home-page "<a href=3D"https://github.com/Seeker14491/opener">https:/=
/github.com/Seeker14491/opener</a>")
 +    (synopsis "Open a file or link using the system default program.")
 +    (description "Open a file or link using the system default program.")
 +    (license (list license:expat license:asl2.0))))
 +
  (define-public rust-opener-0.4
    (package
      (name "rust-opener")
 @@ -44267,6 +44467,36 @@ (define-public rust-rustdoc-stripper-0.1
       "This package provides a tool to manipulate rustdoc comments.")
      (license license:asl2.0)))
 =20
 +(define-public rust-rustfix-0.6
 +  (package
 +    (name "rust-rustfix")
 +    (version "0.6.0")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "rustfix" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "0apkjxv3z70vhnyz2kpwsivvndk6qk7kkp0rf7sg8pk7q1gy02vg")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-anyhow" ,rust-anyhow-1)
 +         ("rust-log" ,rust-log-0.4)
 +         ("rust-serde" ,rust-serde-1)
 +         ("rust-serde-json" ,rust-serde-json-1))
 +        #:cargo-development-inputs
 +        (("rust-duct" ,rust-duct-0.9)
 +         ("rust-env-logger" ,rust-env-logger-0.5)
 +         ("rust-log" ,rust-log-0.4)
 +         ("rust-proptest" ,rust-proptest-0.7)
 +         ("rust-similar" ,rust-similar-0.4)
 +         ("rust-tempdir" ,rust-tempdir-0.3))))
 +    (home-page "<a href=3D"https://github.com/rust-lang-nursery/rustfix">=
https://github.com/rust-lang-nursery/rustfix</a>")
 +    (synopsis "Automatically apply the suggestions made by rustc")
 +    (description "Automatically apply the suggestions made by rustc")
 +    (license (list license:asl2.0 license:expat))))
 +
  (define-public rust-rustfix-0.5
    (package
      (name "rust-rustfix")
 @@ -48793,6 +49023,28 @@ (define-public rust-similar-1
      (description "This package provides a diff library for Rust.")
      (license license:asl2.0)))
 =20
 +(define-public rust-similar-0.4
 +  (package
 +    (name "rust-similar")
 +    (version "0.4.0")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "similar" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "1v6h326qwjdydxk22dfz3x86zp8r1qdnajb3f37w8ngyivzmjgw2")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-unicode-segmentation" ,rust-unicode-segmentation-1))
 +        #:cargo-development-inputs
 +        (("rust-console" ,rust-console-0.14) ("rust-insta" ,rust-insta-1)=
)))
 +    (home-page "<a href=3D"https://github.com/mitsuhiko/similar">https://=
github.com/mitsuhiko/similar</a>")
 +    (synopsis "A diff library for Rust")
 +    (description "This package provides a diff library for Rust")
 +    (license license:asl2.0)))
 +
  (define-public rust-simple-mutex-1
    (package
      (name "rust-simple-mutex")
 @@ -49635,7 +49887,7 @@ (define-public rust-snap-1
  (define-public rust-socket2-0.4
    (package
      (name "rust-socket2")
 -    (version "0.4.0")
 +    (version "0.4.2")
      (source
        (origin
          (method url-fetch)
 @@ -49644,7 +49896,7 @@ (define-public rust-socket2-0.4
           (string-append name "-" version ".tar.gz"))
          (sha256
           (base32
 -          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
 +          "05imvybc86slkbg6sj9rd1xy9a8ydn1v2bcqjqr346myqzk0zjax"))))
      (build-system cargo-build-system)
      (arguments
       `(#:cargo-inputs
 @@ -52620,7 +52872,7 @@ (define-public rust-tap-1
  (define-public rust-tar-0.4
    (package
      (name "rust-tar")
 -    (version "0.4.26")
 +    (version "0.4.37")
      (source
        (origin
          (method url-fetch)
 @@ -52628,7 +52880,7 @@ (define-public rust-tar-0.4
          (file-name (string-append name "-" version ".crate"))
          (sha256
           (base32
 -          "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
 +          "0p5srm08dly2bdgkpnjdfmxvldmvi31q6yxdvjxy0lnx79fm3xfn"))))
      (build-system cargo-build-system)
      (arguments
       `(#:tests? #f      ; Test tarballs not included in crate.
 @@ -59888,6 +60140,36 @@ (define-public rust-version-compare-0.0
  numbers, and test them against various comparison operators.")
      (license license:expat)))
 =20
 +(define-public rust-version-sync-0.9
 +  (package
 +    (name "rust-version-sync")
 +    (version "0.9.3")
 +    (source
 +      (origin
 +        (method url-fetch)
 +        (uri (crate-uri "version-sync" version))
 +        (file-name (string-append name "-" version ".tar.gz"))
 +        (sha256
 +          (base32 "0kaqwjr7jlq3afh28jn052vm15z58h8szvbggwdavdng0wzy98x7")=
)))
 +    (build-system cargo-build-system)
 +    (arguments
 +      `(#:cargo-inputs
 +        (("rust-proc-macro2" ,rust-proc-macro2-1)
 +         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
 +         ("rust-regex" ,rust-regex-1)
 +         ("rust-semver-parser" ,rust-semver-parser-0.9)
 +         ("rust-syn" ,rust-syn-1)
 +         ("rust-toml" ,rust-toml-0.5)
 +         ("rust-url" ,rust-url-2))
 +        #:cargo-development-inputs
 +        (("rust-tempfile" ,rust-tempfile-3))))
 +    (home-page "<a href=3D"https://github.com/mgeisler/version-sync">http=
s://github.com/mgeisler/version-sync</a>")
 +    (synopsis
 +      "Crate for ensuring that version numbers in README files and other =
files are kept in sync with the crate version.")
 +    (description
 +      "Crate for ensuring that version numbers in README files and other =
files are kept in sync with the crate version.")
 +    (license license:expat)))
 +
  (define-public rust-version-sync-0.8
    (package
      (name "rust-version-sync")
 diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
 old mode 100644
 new mode 100755
 index f7f05851f1..a1f3d757cd
 --- a/gnu/packages/rust.scm
 +++ b/gnu/packages/rust.scm
 @@ -12,6 +12,7 @@
  ;;; Copyright =A9 2020 Pierre Langlois &lt;<a href=3D"mailto:pierre.langl=
ois@HIDDEN">pierre.langlois@HIDDEN</a>&gt;
  ;;; Copyright =A9 2020 Matthew James Kraai &lt;<a href=3D"mailto:kraai@ft=
bfs.org">kraai@HIDDEN</a>&gt;
  ;;; Copyright =A9 2021 Maxim Cournoyer &lt;<a href=3D"mailto:maxim.courno=
yer@HIDDEN">maxim.cournoyer@HIDDEN</a>&gt;
 +;;; Copyright =A9 2021 (unmatched parenthesis &lt;<a href=3D"mailto:paren=
@disroot.org">paren@HIDDEN</a>&gt;
  ;;;
  ;;; This file is part of GNU Guix.
  ;;;
 @@ -769,8 +770,16 @@ (define rust-1.54
                              `("procps" ,procps)
                              (package-native-inputs base-rust))))))
 =20
 +(define rust-1.55
 +  (rust-bootstrapped-package
 +   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rld=
xj"))
 +
 +(define rust-1.56
 +  (rust-bootstrapped-package
 +   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2=
f3"))
 +
  ;;; Note: Only the latest versions of Rust are supported and tested.  The
  ;;; intermediate rusts are built for bootstrapping purposes and should no=
t
  ;;; be relied upon.  This is to ease maintenance and reduce the time
  ;;; required to build the full Rust bootstrap chain.
 -(define-public rust rust-1.54)
 +(define-public rust rust-1.56)
</blockquote>
Thank you for this, it looks promising!

We usually split the commits as one per package touched (unless when
doing otherwise would break packages for a long series of commits).)

Were you able to test it?

After you've split your commits into per-package ones, I'll try having a
look!

Thank you,

Maxim
</div></blockquote><span style=3D"white-space: break-spaces;"><div><span st=
yle=3D"white-space: break-spaces;"><br></span></div>Sorry, I forgot to add =
a 'Cc' address, and sent it directly to you... I'll repost that.</span><div=
><span style=3D"white-space: break-spaces;"><br></span></div><div><span sty=
le=3D"white-space: break-spaces;">Hi!</span><div><span style=3D"white-space=
: break-spaces;"><br></span></div><div><span style=3D"white-space: break-sp=
aces;">I was able to test Rust, I can definitely remember 1.56 building pro=
perly on my machine. I'll get to work updating it to the latest Guix master=
 tomorrow. I'm not sure if Cargo worked.</span></div><div><span style=3D"wh=
ite-space: break-spaces;"><br></span></div><div><span style=3D"white-space:=
 break-spaces;">BTW, Rust has released a new 1.57 version; I'll make sure t=
o add that.</span></div><div><span style=3D"white-space: break-spaces;"><br=
></span></div><div><span style=3D"white-space: break-spaces;">One question:=
 will it be possible to merge this into master _if_ I don't touch the 'rust=
' variable (so that Rust packages won't be rebuilt)? If so, I'll revert tha=
t change when I update this to latest guix. Rust packages have a habit of a=
lways depending on the newest, shinyest releases (that's why I did this in =
the first place, although the c-u-f merge did improve the situation by addi=
ng 1.54.0)</span></div><span style=3D"white-space: break-spaces;"><br><br><=
/span></div></div>
--=-pP41bTCLplfiMwy5RtG9--






Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 24 Dec 2021 06:05:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 01:05:27 2021
Received: from localhost ([127.0.0.1]:35494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0dhh-0007aA-0I
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 01:05:26 -0500
Received: from mail-qk1-f172.google.com ([209.85.222.172]:34447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n0dhe-0007Zy-Ns
 for 52149 <at> debbugs.gnu.org; Fri, 24 Dec 2021 01:05:20 -0500
Received: by mail-qk1-f172.google.com with SMTP id b85so7582796qkc.1
 for <52149 <at> debbugs.gnu.org>; Thu, 23 Dec 2021 22:05:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=HhEG5ROyOItXLVp/L5hVThG1RooHU1G+wYb2NDFaVl0=;
 b=RT3L1aF9fXGfS1q2AE3VVXMfZmcSq+FJWWg0hgYAtOpy4FRSyLRbfWc+TaUV9eHR3n
 lZPpzxIfnOIe3cSprOvgW+rqAtTotV4qHAlNLUXg17MWTgiEUxSw1VAIFUtuLtvxCvyg
 JwSJ4x78T462dbyerPyqigReFc5TPeypDqUeJwbqfnNeiAIIpy962KAsqi3yjpYVTGqH
 +BdhdMbyCE/MOMqQQ18PfEJggr2KpuLm76/eNfqAAYhm6DGC/VTx9AKri5xF9NjhSuQ8
 N8XGDGm/qouDqLg9bMelmqUric8SvOeIFWLCD/CrKTYVXWEWA/1DuWxT+HL7clr0fyST
 VtHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=HhEG5ROyOItXLVp/L5hVThG1RooHU1G+wYb2NDFaVl0=;
 b=Gfv4tarRmgiwYgiLrj3gkFn6E9XepJjiSgm6epSdNeVgm5zBPcv5Fi0W3CxUqHMRes
 4aDQGHbbJkY/pjHnYmaIyMvFmbFZT1jLbpuTpX/TOClH1qzLHmGg5sfuy0Uae/Rd7zDw
 96owpzy9TyXrpDlMgxG+wiU8N3DSfUpnARYUjrMAO/XnXmCHG2plWA+Yi+4hLm8p/Wkz
 7Ug7yL/zRIvn4m6qlqFWr5Z35SWWbBmzKkElRWLD/u4ZXcEzgWivsYsdImQJp249np3n
 UnB8CtaQu9bRYcAs5pV6Zeaexu/ThkoDcznF6VBm3aVM5DITipUKbDGFLpcYfWEh74f/
 9uAA==
X-Gm-Message-State: AOAM531Dz6ldIzPgIxlmwM753x1bI9ShWxIr29xiTN7K4AJErsSppcld
 1d7hsTAl4+nqL2crGoYCuR7BGNaoUME=
X-Google-Smtp-Source: ABdhPJwmZ9Rc6C/GhhWT0TWPDlE3N5OFrzBKPgib64iqV+RHD+r7old01Bov1K/YGtDFl1AEGr0+Wg==
X-Received: by 2002:a37:f50c:: with SMTP id l12mr3780901qkk.194.1640325912888; 
 Thu, 23 Dec 2021 22:05:12 -0800 (PST)
Received: from hurd (dsl-151-170.b2b2c.ca. [66.158.151.170])
 by smtp.gmail.com with ESMTPSA id k1sm5366997qkh.53.2021.12.23.22.05.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Dec 2021 22:05:12 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: "(unmatched-parenthesis" <paren@HIDDEN>
Subject: Re: bug#52149: [PATCH] core-updates-frozen: Update `rustc` to
 version 1.56.1 (from 1.54.0)
References: <20211127204237.4195-1-paren@HIDDEN>
 <20211127232323.2039-1-paren@HIDDEN>
Date: Fri, 24 Dec 2021 01:05:11 -0500
In-Reply-To: <20211127232323.2039-1-paren@HIDDEN> (paren@HIDDEN's
 message of "Sat, 27 Nov 2021 23:23:23 +0000")
Message-ID: <87lf0azgfc.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
Cc: 52149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!

"(unmatched-parenthesis" <paren@HIDDEN> writes:

> This amended email adds a copyright notice to crates-io.scm.
>
> ---
>  gnu/packages/crates-io.scm | 314 +++++++++++++++++++++++++++++++++++--
>  gnu/packages/rust.scm      |  11 +-
>  2 files changed, 308 insertions(+), 17 deletions(-)
>  mode change 100644 =3D> 100755 gnu/packages/rust.scm
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index b8c4c7bd39..cf77cb2b53 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -22,6 +22,7 @@
>  ;;; Copyright =C2=A9 2021 Petr Hodina <phodina@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Ricardo Wurmus <rekado@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Jacob Hrbek <kreyren@HIDDEN>
> +;;; Copyright =C2=A9 2021 (unmatched parenthesis <paren@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -8134,6 +8135,96 @@ (define-public rust-caps-0.3
>          ("rust-error-chain" ,rust-error-chain-0.12)
>          ("rust-libc" ,rust-libc-0.2))))))
>=20=20
> +(define-public rust-cargo-0.57
> +  (package
> +    (name "rust-cargo")
> +    (version "0.57.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (crate-uri "cargo" version))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))
> +       (sha256
> +        (base32
> +         "0nw73wf2f2024qya0lgm6c7wy0vrqd521k2kwzr63gy33fnvk7ai"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +     `(;; The test suite is disabled as the internal 'cargo-test-macro' =
and
> +       ;; 'cargo-test-support' crates are not included in the release.
> +       #:tests? #f
> +       #:cargo-inputs
> +       (("rust-anyhow" ,rust-anyhow-1)
> +        ("rust-atty" ,rust-atty-0.2)
> +        ("rust-bytesize" ,rust-bytesize-1)
> +        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
> +        ("rust-cargo-util" ,rust-cargo-util-0.1)
> +        ("rust-clap" ,rust-clap-2)
> +        ("rust-core-foundation" ,rust-core-foundation-0.9)
> +        ("rust-crates-io" ,rust-crates-io-0.33)
> +        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
> +        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
> +        ("rust-curl" ,rust-curl-0.4)
> +        ("rust-curl-sys" ,rust-curl-sys-0.4)
> +        ("rust-env-logger" ,rust-env-logger-0.9)
> +        ("rust-filetime" ,rust-filetime-0.2)
> +        ("rust-flate2" ,rust-flate2-1)
> +        ("rust-flate2" ,rust-flate2-1)
> +        ("rust-fwdansi" ,rust-fwdansi-1)
> +        ("rust-git2" ,rust-git2-0.13)
> +        ("rust-git2-curl" ,rust-git2-curl-0.14)
> +        ("rust-glob" ,rust-glob-0.3)
> +        ("rust-hex" ,rust-hex-0.4)
> +        ("rust-home" ,rust-home-0.5)
> +        ("rust-humantime" ,rust-humantime-2)
> +        ("rust-ignore" ,rust-ignore-0.4)
> +        ("rust-im-rc" ,rust-im-rc-15)
> +        ("rust-itertools" ,rust-itertools-0.10)
> +        ("rust-jobserver" ,rust-jobserver-0.1)
> +        ("rust-lazy-static" ,rust-lazy-static-1)
> +        ("rust-lazycell" ,rust-lazycell-1)
> +        ("rust-libc" ,rust-libc-0.2)
> +        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
> +        ("rust-log" ,rust-log-0.4)
> +        ("rust-memchr" ,rust-memchr-2)
> +        ("rust-miow" ,rust-miow-0.3)
> +        ("rust-num-cpus" ,rust-num-cpus-1)
> +        ("rust-opener" ,rust-opener-0.5)
> +        ("rust-openssl" ,rust-openssl-0.10)
> +        ("rust-percent-encoding" ,rust-percent-encoding-2)
> +        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
> +        ("rust-rand" ,rust-rand-0.8)
> +        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
> +        ("rust-rustfix" ,rust-rustfix-0.6)
> +        ("rust-same-file" ,rust-same-file-1)
> +        ("rust-semver" ,rust-semver-1)
> +        ("rust-serde" ,rust-serde-1)
> +        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
> +        ("rust-serde-json" ,rust-serde-json-1)
> +        ("rust-shell-escape" ,rust-shell-escape-0.1)
> +        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
> +        ("rust-tar" ,rust-tar-0.4)
> +        ("rust-tempfile" ,rust-tempfile-3)
> +        ("rust-termcolor" ,rust-termcolor-1)
> +        ("rust-toml" ,rust-toml-0.5)
> +        ("rust-unicode-width" ,rust-unicode-width-0.1)
> +        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
> +        ("rust-url" ,rust-url-2)
> +        ("rust-walkdir" ,rust-walkdir-2)
> +        ("rust-winapi" ,rust-winapi-0.3))))
> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)))
> +    (inputs
> +     `(("curl" ,curl)
> +       ("libssh2" ,libssh2)
> +       ("openssl" ,openssl)
> +       ("zlib" ,zlib)))
> +    (home-page "https://crates.io")
> +    (synopsis "Package manager for Rust")
> +    (description "Cargo, a package manager for Rust.  This package provi=
des
> +the library crate of Cargo.")
> +    (license (list license:expat license:asl2.0))))
> +
>  (define-public rust-cargo-0.53
>    (package
>      (name "rust-cargo")
> @@ -8201,7 +8292,6 @@ (define-public rust-cargo-0.53
>          ("rust-shell-escape" ,rust-shell-escape-0.1)
>          ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
>          ("rust-tar" ,rust-tar-0.4)
> -        ("rust-tar" ,rust-tar-0.4)
>          ("rust-tempfile" ,rust-tempfile-3)
>          ("rust-termcolor" ,rust-termcolor-1)
>          ("rust-toml" ,rust-toml-0.5)
> @@ -8309,7 +8399,7 @@ (define-public rust-cargo-metadata-0.6
>  (define-public rust-cargo-platform-0.1
>    (package
>      (name "rust-cargo-platform")
> -    (version "0.1.1")
> +    (version "0.1.2")
>      (source
>       (origin
>         (method url-fetch)
> @@ -8318,7 +8408,7 @@ (define-public rust-cargo-platform-0.1
>          (string-append name "-" version ".tar.gz"))
>         (sha256
>          (base32
> -         "1mzi60pf0z83qkzqp7jwd61xnqz2b5ydsj7rnnikbgyicd5989h2"))))
> +         "09zsf76b9yr02jh17xq925xp1w824w2bwvb78fd0gpx5m1fq5nyb"))))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:cargo-inputs
> @@ -8329,6 +8419,39 @@ (define-public rust-cargo-platform-0.1
>  supported by Cargo.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-cargo-util-0.1
> +  (package
> +    (name "rust-cargo-util")
> +    (version "0.1.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "cargo-util" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "1szsqx6n9lvvpfnppw9xiah0d5mg8x80i5s17kv25q6lg8zn7gzj"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-anyhow" ,rust-anyhow-1)
> +         ("rust-core-foundation" ,rust-core-foundation-0.9)
> +         ("rust-crypto-hash" ,rust-crypto-hash-0.3)
> +         ("rust-filetime" ,rust-filetime-0.2)
> +         ("rust-hex" ,rust-hex-0.4)
> +         ("rust-jobserver" ,rust-jobserver-0.1)
> +         ("rust-libc" ,rust-libc-0.2)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-miow" ,rust-miow-0.3)
> +         ("rust-same-file" ,rust-same-file-1)
> +         ("rust-shell-escape" ,rust-shell-escape-0.1)
> +         ("rust-tempfile" ,rust-tempfile-3)
> +         ("rust-walkdir" ,rust-walkdir-2)
> +         ("rust-winapi" ,rust-winapi-0.3))))
> +    (home-page "https://github.com/rust-lang/cargo")
> +    (synopsis "Miscellaneous support code used by Cargo.")
> +    (description "Miscellaneous support code used by Cargo.")
> +    (license (list license:expat license:asl2.0))))
> +
>  (define-public rust-cargon-0.0
>    (package
>      (name "rust-cargon")
> @@ -12857,14 +12980,14 @@ (define-public rust-cty-0.2
>  (define-public rust-curl-0.4
>    (package
>      (name "rust-curl")
> -    (version "0.4.34")
> +    (version "0.4.41")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (crate-uri "curl" version))
>         (file-name (string-append name "-" version ".tar.gz"))
>         (sha256
> -        (base32 "0vkm6fyizf8m9yxpv3n5pm9ag3bwlyqa6nz2ga8qkzm5y4m1cs72"))=
))
> +        (base32 "1qqbrvgbnzik4vlni25jwsk3ff57snmbp0zvdzdzhq9jaqrx5ihv"))=
))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:tests? #false                  ;require internet access
> @@ -12874,7 +12997,7 @@ (define-public rust-curl-0.4
>          ("rust-openssl-probe" ,rust-openssl-probe-0.1)
>          ("rust-openssl-sys" ,rust-openssl-sys-0.9)
>          ("rust-schannel" ,rust-schannel-0.1)
> -        ("rust-socket2" ,rust-socket2-0.3)
> +        ("rust-socket2" ,rust-socket2-0.4)
>          ("rust-winapi" ,rust-winapi-0.3))
>         #:cargo-development-inputs
>         (("rust-anyhow" ,rust-anyhow-1)
> @@ -12897,7 +13020,7 @@ (define-public rust-curl-0.4
>  (define-public rust-curl-sys-0.4
>    (package
>      (name "rust-curl-sys")
> -    (version "0.4.39+curl-7.74.0")
> +    (version "0.4.51+curl-7.80.0")
>      (source
>        (origin
>          (method url-fetch)
> @@ -12905,7 +13028,7 @@ (define-public rust-curl-sys-0.4
>          (file-name (string-append name "-" version ".tar.gz"))
>          (sha256
>           (base32
> -          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
> +          "085gwlfq15fxp0zvx14sf3k91ka8z8i30271i44gwd3ad9z9hc6i"))
>          (modules '((guix build utils)))
>          (snippet
>           '(begin (delete-file-recursively "curl") #t))))
> @@ -15756,6 +15879,31 @@ (define-public rust-duct-0.13
>       "A library for running child processes.")
>      (license license:expat)))
>=20=20
> +(define-public rust-duct-0.9
> +  (package
> +    (name "rust-duct")
> +    (version "0.9.2")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "duct" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "17al305wq9qw54c1idlnjpvwyq37kd1g76z427vgfx0fyiwksmcc"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-lazycell" ,rust-lazycell-0.5)
> +         ("rust-libc" ,rust-libc-0.2)
> +         ("rust-os-pipe" ,rust-os-pipe-0.6)
> +         ("rust-shared-child" ,rust-shared-child-0.3))
> +        #:cargo-development-inputs
> +        (("rust-tempdir" ,rust-tempdir-0.3))))
> +    (home-page "https://github.com/oconnor663/duct.rs")
> +    (synopsis "a library for running child processes")
> +    (description "a library for running child processes")
> +    (license license:expat)))
> +
>  (define-public rust-dunce-1
>    (package
>      (name "rust-dunce")
> @@ -16807,6 +16955,36 @@ (define-public rust-enumflags2-derive-0.6
>      (description "Enumflags2 implements the classic bitflags datastructu=
re.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-env-logger-0.9
> +  (package
> +    (name "rust-env-logger")
> +    (version "0.9.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "env_logger" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "1hzr53r0wga51j0w5zid69ylbfizg4qdbq0vqdj6rvki94sg0b0b"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-atty" ,rust-atty-0.2)
> +         ("rust-humantime" ,rust-humantime-2)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-regex" ,rust-regex-1)
> +         ("rust-termcolor" ,rust-termcolor-1))))
> +    (home-page "https://github.com/env-logger-rs/env_logger/")
> +    (synopsis
> +      "A logging implementation for `log` which is configured via an env=
ironment
> +variable.
> +")
> +    (description
> +      "This package provides a logging implementation for `log` which is=
 configured via an environment
> +variable.
> +")
> +    (license (list license:expat license:asl2.0))))
> +
>  (define-public rust-env-logger-0.8
>    (package
>      (name "rust-env-logger")
> @@ -25063,14 +25241,14 @@ (define-public rust-iso8601-0.1
>  (define-public rust-itertools-0.10
>    (package
>      (name "rust-itertools")
> -    (version "0.10.0")
> +    (version "0.10.1")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (crate-uri "itertools" version))
>         (file-name (string-append name "-" version ".tar.gz"))
>         (sha256
> -        (base32 "06dkghwi1a6ah2103gibxnr2ys762m5x4rp75x0q43imis8p5m9p"))=
))
> +        (base32 "1bsyxnm20x05rwc5qskrqy4cfswrcadzlwc26dkqml6hz64vipb9"))=
))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:skip-build? #t
> @@ -25530,7 +25708,7 @@ (define-public rust-jni-sys-0.3
>  (define-public rust-jobserver-0.1
>    (package
>      (name "rust-jobserver")
> -    (version "0.1.22")
> +    (version "0.1.24")
>      (source
>       (origin
>         (method url-fetch)
> @@ -25539,7 +25717,7 @@ (define-public rust-jobserver-0.1
>          (string-append name "-" version ".tar.gz"))
>         (sha256
>          (base32
> -         "1zg7p4khibisbvd8b1lqvvni6lr00g49d4bq2zj6m76bs7jmlbwp"))))
> +         "1yn1vxbbqv7dqir6qbfcj8h8ddjf89m5mhvm36h13xx7k5raf9dg"))))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:cargo-inputs
> @@ -34079,6 +34257,28 @@ (define-public rust-open-1
>  the system.")
>      (license license:expat)))
>=20=20
> +(define-public rust-opener-0.5
> +  (package
> +    (name "rust-opener")
> +    (version "0.5.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "opener" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "0lkrn4fv1h4m8gmp7ll6x7vjvb6kls2ngwa5cgsh2ix5fb6yp8sf"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-bstr" ,rust-bstr-0.2) ("rust-winapi" ,rust-winapi-0.3))
> +        #:cargo-development-inputs
> +        (("rust-version-sync" ,rust-version-sync-0.9))))
> +    (home-page "https://github.com/Seeker14491/opener")
> +    (synopsis "Open a file or link using the system default program.")
> +    (description "Open a file or link using the system default program.")
> +    (license (list license:expat license:asl2.0))))
> +
>  (define-public rust-opener-0.4
>    (package
>      (name "rust-opener")
> @@ -44267,6 +44467,36 @@ (define-public rust-rustdoc-stripper-0.1
>       "This package provides a tool to manipulate rustdoc comments.")
>      (license license:asl2.0)))
>=20=20
> +(define-public rust-rustfix-0.6
> +  (package
> +    (name "rust-rustfix")
> +    (version "0.6.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "rustfix" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "0apkjxv3z70vhnyz2kpwsivvndk6qk7kkp0rf7sg8pk7q1gy02vg"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-anyhow" ,rust-anyhow-1)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-serde" ,rust-serde-1)
> +         ("rust-serde-json" ,rust-serde-json-1))
> +        #:cargo-development-inputs
> +        (("rust-duct" ,rust-duct-0.9)
> +         ("rust-env-logger" ,rust-env-logger-0.5)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-proptest" ,rust-proptest-0.7)
> +         ("rust-similar" ,rust-similar-0.4)
> +         ("rust-tempdir" ,rust-tempdir-0.3))))
> +    (home-page "https://github.com/rust-lang-nursery/rustfix")
> +    (synopsis "Automatically apply the suggestions made by rustc")
> +    (description "Automatically apply the suggestions made by rustc")
> +    (license (list license:asl2.0 license:expat))))
> +
>  (define-public rust-rustfix-0.5
>    (package
>      (name "rust-rustfix")
> @@ -48793,6 +49023,28 @@ (define-public rust-similar-1
>      (description "This package provides a diff library for Rust.")
>      (license license:asl2.0)))
>=20=20
> +(define-public rust-similar-0.4
> +  (package
> +    (name "rust-similar")
> +    (version "0.4.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "similar" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "1v6h326qwjdydxk22dfz3x86zp8r1qdnajb3f37w8ngyivzmjgw2"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-unicode-segmentation" ,rust-unicode-segmentation-1))
> +        #:cargo-development-inputs
> +        (("rust-console" ,rust-console-0.14) ("rust-insta" ,rust-insta-1=
))))
> +    (home-page "https://github.com/mitsuhiko/similar")
> +    (synopsis "A diff library for Rust")
> +    (description "This package provides a diff library for Rust")
> +    (license license:asl2.0)))
> +
>  (define-public rust-simple-mutex-1
>    (package
>      (name "rust-simple-mutex")
> @@ -49635,7 +49887,7 @@ (define-public rust-snap-1
>  (define-public rust-socket2-0.4
>    (package
>      (name "rust-socket2")
> -    (version "0.4.0")
> +    (version "0.4.2")
>      (source
>        (origin
>          (method url-fetch)
> @@ -49644,7 +49896,7 @@ (define-public rust-socket2-0.4
>           (string-append name "-" version ".tar.gz"))
>          (sha256
>           (base32
> -          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
> +          "05imvybc86slkbg6sj9rd1xy9a8ydn1v2bcqjqr346myqzk0zjax"))))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:cargo-inputs
> @@ -52620,7 +52872,7 @@ (define-public rust-tap-1
>  (define-public rust-tar-0.4
>    (package
>      (name "rust-tar")
> -    (version "0.4.26")
> +    (version "0.4.37")
>      (source
>        (origin
>          (method url-fetch)
> @@ -52628,7 +52880,7 @@ (define-public rust-tar-0.4
>          (file-name (string-append name "-" version ".crate"))
>          (sha256
>           (base32
> -          "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
> +          "0p5srm08dly2bdgkpnjdfmxvldmvi31q6yxdvjxy0lnx79fm3xfn"))))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:tests? #f      ; Test tarballs not included in crate.
> @@ -59888,6 +60140,36 @@ (define-public rust-version-compare-0.0
>  numbers, and test them against various comparison operators.")
>      (license license:expat)))
>=20=20
> +(define-public rust-version-sync-0.9
> +  (package
> +    (name "rust-version-sync")
> +    (version "0.9.3")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "version-sync" version))
> +        (file-name (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32 "0kaqwjr7jlq3afh28jn052vm15z58h8szvbggwdavdng0wzy98x7"=
))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-proc-macro2" ,rust-proc-macro2-1)
> +         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
> +         ("rust-regex" ,rust-regex-1)
> +         ("rust-semver-parser" ,rust-semver-parser-0.9)
> +         ("rust-syn" ,rust-syn-1)
> +         ("rust-toml" ,rust-toml-0.5)
> +         ("rust-url" ,rust-url-2))
> +        #:cargo-development-inputs
> +        (("rust-tempfile" ,rust-tempfile-3))))
> +    (home-page "https://github.com/mgeisler/version-sync")
> +    (synopsis
> +      "Crate for ensuring that version numbers in README files and other=
 files are kept in sync with the crate version.")
> +    (description
> +      "Crate for ensuring that version numbers in README files and other=
 files are kept in sync with the crate version.")
> +    (license license:expat)))
> +
>  (define-public rust-version-sync-0.8
>    (package
>      (name "rust-version-sync")
> diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
> old mode 100644
> new mode 100755
> index f7f05851f1..a1f3d757cd
> --- a/gnu/packages/rust.scm
> +++ b/gnu/packages/rust.scm
> @@ -12,6 +12,7 @@
>  ;;; Copyright =C2=A9 2020 Pierre Langlois <pierre.langlois@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Matthew James Kraai <kraai@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
> +;;; Copyright =C2=A9 2021 (unmatched parenthesis <paren@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -769,8 +770,16 @@ (define rust-1.54
>                              `("procps" ,procps)
>                              (package-native-inputs base-rust))))))
>=20=20
> +(define rust-1.55
> +  (rust-bootstrapped-package
> +   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rl=
dxj"))
> +
> +(define rust-1.56
> +  (rust-bootstrapped-package
> +   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v=
2f3"))
> +
>  ;;; Note: Only the latest versions of Rust are supported and tested.  The
>  ;;; intermediate rusts are built for bootstrapping purposes and should n=
ot
>  ;;; be relied upon.  This is to ease maintenance and reduce the time
>  ;;; required to build the full Rust bootstrap chain.
> -(define-public rust rust-1.54)
> +(define-public rust rust-1.56)

Thank you for this, it looks promising!

We usually split the commits as one per package touched (unless when
doing otherwise would break packages for a long series of commits).)

Were you able to test it?

After you've split your commits into per-package ones, I'll try having a
look!

Thank you,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.
Merged 52149 52153. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 28 Nov 2021 02:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 27 21:54:41 2021
Received: from localhost ([127.0.0.1]:34779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrAKu-0000oz-F1
	for submit <at> debbugs.gnu.org; Sat, 27 Nov 2021 21:54:41 -0500
Received: from knopi.disroot.org ([178.21.23.139]:47318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1mr72a-0003cx-GE
 for 52149 <at> debbugs.gnu.org; Sat, 27 Nov 2021 18:23:42 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D0F647BA34;
 Sun, 28 Nov 2021 00:23:31 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uYPg-q5xMVpj; Sun, 28 Nov 2021 00:23:29 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1638055409; bh=PNcY6v/AfHKQX1t5E86LY8fdOV2IVUiJRs2wBTYPqho=;
 h=From:To:Cc:Subject:Date;
 b=awKfVe3KiO7smNVpAzbiPGofGGBL+YGA4fMpGSF3pYVPWdDaE+8Xgcq+46qB15HQQ
 1J40tjAk/JAAeg5oS4YQO88Aw0M8v++0ezdCz++lF9sksMgS8yzSyywCUDWht3ehVM
 QbieHchu0ox7ceBNytV6LU5IVLYcDX8GvhrqRIQESH5Pv1buu1dXygghpgYMMsv3F3
 Cbr5imBG977MT7Dmu4Uts6W68y1zxWbEBau2703Kchx3FLeJpikYid9/85QfKIQAhT
 lnNxWPM6y9Xgr/CNkK3kM9d0Wb2v1xj6D+pptuTMnxiAFp2nLMHcpwbaHys4f0mtVI
 AjOhGpY/bL7ow==
To: 52149 <at> debbugs.gnu.org
Subject: [PATCH v3] Update Cargo to v0.57.0 along with rustc
Date: Sat, 27 Nov 2021 23:23:23 +0000
Message-Id: <20211127232323.2039-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52149
X-Mailman-Approved-At: Sat, 27 Nov 2021 21:54:37 -0500
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This amended email adds a copyright notice to crates-io.scm.

---
 gnu/packages/crates-io.scm | 314 +++++++++++++++++++++++++++++++++++--
 gnu/packages/rust.scm      |  11 +-
 2 files changed, 308 insertions(+), 17 deletions(-)
 mode change 100644 => 100755 gnu/packages/rust.scm

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b8c4c7bd39..cf77cb2b53 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2021 Petr Hodina <phodina@HIDDEN>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Jacob Hrbek <kreyren@HIDDEN>
+;;; Copyright © 2021 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -8134,6 +8135,96 @@ (define-public rust-caps-0.3
         ("rust-error-chain" ,rust-error-chain-0.12)
         ("rust-libc" ,rust-libc-0.2))))))
 
+(define-public rust-cargo-0.57
+  (package
+    (name "rust-cargo")
+    (version "0.57.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nw73wf2f2024qya0lgm6c7wy0vrqd521k2kwzr63gy33fnvk7ai"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(;; The test suite is disabled as the internal 'cargo-test-macro' and
+       ;; 'cargo-test-support' crates are not included in the release.
+       #:tests? #f
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bytesize" ,rust-bytesize-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-cargo-util" ,rust-cargo-util-0.1)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-core-foundation" ,rust-core-foundation-0.9)
+        ("rust-crates-io" ,rust-crates-io-0.33)
+        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
+        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+        ("rust-curl" ,rust-curl-0.4)
+        ("rust-curl-sys" ,rust-curl-sys-0.4)
+        ("rust-env-logger" ,rust-env-logger-0.9)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-fwdansi" ,rust-fwdansi-1)
+        ("rust-git2" ,rust-git2-0.13)
+        ("rust-git2-curl" ,rust-git2-curl-0.14)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-hex" ,rust-hex-0.4)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-humantime" ,rust-humantime-2)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-im-rc" ,rust-im-rc-15)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-jobserver" ,rust-jobserver-0.1)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-lazycell" ,rust-lazycell-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-miow" ,rust-miow-0.3)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-opener" ,rust-opener-0.5)
+        ("rust-openssl" ,rust-openssl-0.10)
+        ("rust-percent-encoding" ,rust-percent-encoding-2)
+        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
+        ("rust-rustfix" ,rust-rustfix-0.6)
+        ("rust-same-file" ,rust-same-file-1)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-shell-escape" ,rust-shell-escape-0.1)
+        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
+        ("rust-tar" ,rust-tar-0.4)
+        ("rust-tempfile" ,rust-tempfile-3)
+        ("rust-termcolor" ,rust-termcolor-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-unicode-width" ,rust-unicode-width-0.1)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
+        ("rust-url" ,rust-url-2)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-winapi" ,rust-winapi-0.3))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("curl" ,curl)
+       ("libssh2" ,libssh2)
+       ("openssl" ,openssl)
+       ("zlib" ,zlib)))
+    (home-page "https://crates.io")
+    (synopsis "Package manager for Rust")
+    (description "Cargo, a package manager for Rust.  This package provides
+the library crate of Cargo.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-cargo-0.53
   (package
     (name "rust-cargo")
@@ -8201,7 +8292,6 @@ (define-public rust-cargo-0.53
         ("rust-shell-escape" ,rust-shell-escape-0.1)
         ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
         ("rust-tar" ,rust-tar-0.4)
-        ("rust-tar" ,rust-tar-0.4)
         ("rust-tempfile" ,rust-tempfile-3)
         ("rust-termcolor" ,rust-termcolor-1)
         ("rust-toml" ,rust-toml-0.5)
@@ -8309,7 +8399,7 @@ (define-public rust-cargo-metadata-0.6
 (define-public rust-cargo-platform-0.1
   (package
     (name "rust-cargo-platform")
-    (version "0.1.1")
+    (version "0.1.2")
     (source
      (origin
        (method url-fetch)
@@ -8318,7 +8408,7 @@ (define-public rust-cargo-platform-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1mzi60pf0z83qkzqp7jwd61xnqz2b5ydsj7rnnikbgyicd5989h2"))))
+         "09zsf76b9yr02jh17xq925xp1w824w2bwvb78fd0gpx5m1fq5nyb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8329,6 +8419,39 @@ (define-public rust-cargo-platform-0.1
 supported by Cargo.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cargo-util-0.1
+  (package
+    (name "rust-cargo-util")
+    (version "0.1.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "cargo-util" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1szsqx6n9lvvpfnppw9xiah0d5mg8x80i5s17kv25q6lg8zn7gzj"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-anyhow" ,rust-anyhow-1)
+         ("rust-core-foundation" ,rust-core-foundation-0.9)
+         ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+         ("rust-filetime" ,rust-filetime-0.2)
+         ("rust-hex" ,rust-hex-0.4)
+         ("rust-jobserver" ,rust-jobserver-0.1)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-miow" ,rust-miow-0.3)
+         ("rust-same-file" ,rust-same-file-1)
+         ("rust-shell-escape" ,rust-shell-escape-0.1)
+         ("rust-tempfile" ,rust-tempfile-3)
+         ("rust-walkdir" ,rust-walkdir-2)
+         ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/rust-lang/cargo")
+    (synopsis "Miscellaneous support code used by Cargo.")
+    (description "Miscellaneous support code used by Cargo.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-cargon-0.0
   (package
     (name "rust-cargon")
@@ -12857,14 +12980,14 @@ (define-public rust-cty-0.2
 (define-public rust-curl-0.4
   (package
     (name "rust-curl")
-    (version "0.4.34")
+    (version "0.4.41")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "curl" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0vkm6fyizf8m9yxpv3n5pm9ag3bwlyqa6nz2ga8qkzm5y4m1cs72"))))
+        (base32 "1qqbrvgbnzik4vlni25jwsk3ff57snmbp0zvdzdzhq9jaqrx5ihv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #false                  ;require internet access
@@ -12874,7 +12997,7 @@ (define-public rust-curl-0.4
         ("rust-openssl-probe" ,rust-openssl-probe-0.1)
         ("rust-openssl-sys" ,rust-openssl-sys-0.9)
         ("rust-schannel" ,rust-schannel-0.1)
-        ("rust-socket2" ,rust-socket2-0.3)
+        ("rust-socket2" ,rust-socket2-0.4)
         ("rust-winapi" ,rust-winapi-0.3))
        #:cargo-development-inputs
        (("rust-anyhow" ,rust-anyhow-1)
@@ -12897,7 +13020,7 @@ (define-public rust-curl-0.4
 (define-public rust-curl-sys-0.4
   (package
     (name "rust-curl-sys")
-    (version "0.4.39+curl-7.74.0")
+    (version "0.4.51+curl-7.80.0")
     (source
       (origin
         (method url-fetch)
@@ -12905,7 +13028,7 @@ (define-public rust-curl-sys-0.4
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
+          "085gwlfq15fxp0zvx14sf3k91ka8z8i30271i44gwd3ad9z9hc6i"))
         (modules '((guix build utils)))
         (snippet
          '(begin (delete-file-recursively "curl") #t))))
@@ -15756,6 +15879,31 @@ (define-public rust-duct-0.13
      "A library for running child processes.")
     (license license:expat)))
 
+(define-public rust-duct-0.9
+  (package
+    (name "rust-duct")
+    (version "0.9.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "duct" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "17al305wq9qw54c1idlnjpvwyq37kd1g76z427vgfx0fyiwksmcc"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-lazycell" ,rust-lazycell-0.5)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-os-pipe" ,rust-os-pipe-0.6)
+         ("rust-shared-child" ,rust-shared-child-0.3))
+        #:cargo-development-inputs
+        (("rust-tempdir" ,rust-tempdir-0.3))))
+    (home-page "https://github.com/oconnor663/duct.rs")
+    (synopsis "a library for running child processes")
+    (description "a library for running child processes")
+    (license license:expat)))
+
 (define-public rust-dunce-1
   (package
     (name "rust-dunce")
@@ -16807,6 +16955,36 @@ (define-public rust-enumflags2-derive-0.6
     (description "Enumflags2 implements the classic bitflags datastructure.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-env-logger-0.9
+  (package
+    (name "rust-env-logger")
+    (version "0.9.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "env_logger" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1hzr53r0wga51j0w5zid69ylbfizg4qdbq0vqdj6rvki94sg0b0b"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-atty" ,rust-atty-0.2)
+         ("rust-humantime" ,rust-humantime-2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-termcolor" ,rust-termcolor-1))))
+    (home-page "https://github.com/env-logger-rs/env_logger/")
+    (synopsis
+      "A logging implementation for `log` which is configured via an environment
+variable.
+")
+    (description
+      "This package provides a logging implementation for `log` which is configured via an environment
+variable.
+")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-env-logger-0.8
   (package
     (name "rust-env-logger")
@@ -25063,14 +25241,14 @@ (define-public rust-iso8601-0.1
 (define-public rust-itertools-0.10
   (package
     (name "rust-itertools")
-    (version "0.10.0")
+    (version "0.10.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "itertools" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "06dkghwi1a6ah2103gibxnr2ys762m5x4rp75x0q43imis8p5m9p"))))
+        (base32 "1bsyxnm20x05rwc5qskrqy4cfswrcadzlwc26dkqml6hz64vipb9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25530,7 +25708,7 @@ (define-public rust-jni-sys-0.3
 (define-public rust-jobserver-0.1
   (package
     (name "rust-jobserver")
-    (version "0.1.22")
+    (version "0.1.24")
     (source
      (origin
        (method url-fetch)
@@ -25539,7 +25717,7 @@ (define-public rust-jobserver-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1zg7p4khibisbvd8b1lqvvni6lr00g49d4bq2zj6m76bs7jmlbwp"))))
+         "1yn1vxbbqv7dqir6qbfcj8h8ddjf89m5mhvm36h13xx7k5raf9dg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34079,6 +34257,28 @@ (define-public rust-open-1
 the system.")
     (license license:expat)))
 
+(define-public rust-opener-0.5
+  (package
+    (name "rust-opener")
+    (version "0.5.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "opener" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0lkrn4fv1h4m8gmp7ll6x7vjvb6kls2ngwa5cgsh2ix5fb6yp8sf"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-bstr" ,rust-bstr-0.2) ("rust-winapi" ,rust-winapi-0.3))
+        #:cargo-development-inputs
+        (("rust-version-sync" ,rust-version-sync-0.9))))
+    (home-page "https://github.com/Seeker14491/opener")
+    (synopsis "Open a file or link using the system default program.")
+    (description "Open a file or link using the system default program.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-opener-0.4
   (package
     (name "rust-opener")
@@ -44267,6 +44467,36 @@ (define-public rust-rustdoc-stripper-0.1
      "This package provides a tool to manipulate rustdoc comments.")
     (license license:asl2.0)))
 
+(define-public rust-rustfix-0.6
+  (package
+    (name "rust-rustfix")
+    (version "0.6.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "rustfix" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0apkjxv3z70vhnyz2kpwsivvndk6qk7kkp0rf7sg8pk7q1gy02vg"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-anyhow" ,rust-anyhow-1)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-serde" ,rust-serde-1)
+         ("rust-serde-json" ,rust-serde-json-1))
+        #:cargo-development-inputs
+        (("rust-duct" ,rust-duct-0.9)
+         ("rust-env-logger" ,rust-env-logger-0.5)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-proptest" ,rust-proptest-0.7)
+         ("rust-similar" ,rust-similar-0.4)
+         ("rust-tempdir" ,rust-tempdir-0.3))))
+    (home-page "https://github.com/rust-lang-nursery/rustfix")
+    (synopsis "Automatically apply the suggestions made by rustc")
+    (description "Automatically apply the suggestions made by rustc")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-rustfix-0.5
   (package
     (name "rust-rustfix")
@@ -48793,6 +49023,28 @@ (define-public rust-similar-1
     (description "This package provides a diff library for Rust.")
     (license license:asl2.0)))
 
+(define-public rust-similar-0.4
+  (package
+    (name "rust-similar")
+    (version "0.4.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "similar" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1v6h326qwjdydxk22dfz3x86zp8r1qdnajb3f37w8ngyivzmjgw2"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-unicode-segmentation" ,rust-unicode-segmentation-1))
+        #:cargo-development-inputs
+        (("rust-console" ,rust-console-0.14) ("rust-insta" ,rust-insta-1))))
+    (home-page "https://github.com/mitsuhiko/similar")
+    (synopsis "A diff library for Rust")
+    (description "This package provides a diff library for Rust")
+    (license license:asl2.0)))
+
 (define-public rust-simple-mutex-1
   (package
     (name "rust-simple-mutex")
@@ -49635,7 +49887,7 @@ (define-public rust-snap-1
 (define-public rust-socket2-0.4
   (package
     (name "rust-socket2")
-    (version "0.4.0")
+    (version "0.4.2")
     (source
       (origin
         (method url-fetch)
@@ -49644,7 +49896,7 @@ (define-public rust-socket2-0.4
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
+          "05imvybc86slkbg6sj9rd1xy9a8ydn1v2bcqjqr346myqzk0zjax"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -52620,7 +52872,7 @@ (define-public rust-tap-1
 (define-public rust-tar-0.4
   (package
     (name "rust-tar")
-    (version "0.4.26")
+    (version "0.4.37")
     (source
       (origin
         (method url-fetch)
@@ -52628,7 +52880,7 @@ (define-public rust-tar-0.4
         (file-name (string-append name "-" version ".crate"))
         (sha256
          (base32
-          "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
+          "0p5srm08dly2bdgkpnjdfmxvldmvi31q6yxdvjxy0lnx79fm3xfn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Test tarballs not included in crate.
@@ -59888,6 +60140,36 @@ (define-public rust-version-compare-0.0
 numbers, and test them against various comparison operators.")
     (license license:expat)))
 
+(define-public rust-version-sync-0.9
+  (package
+    (name "rust-version-sync")
+    (version "0.9.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "version-sync" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0kaqwjr7jlq3afh28jn052vm15z58h8szvbggwdavdng0wzy98x7"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-proc-macro2" ,rust-proc-macro2-1)
+         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-semver-parser" ,rust-semver-parser-0.9)
+         ("rust-syn" ,rust-syn-1)
+         ("rust-toml" ,rust-toml-0.5)
+         ("rust-url" ,rust-url-2))
+        #:cargo-development-inputs
+        (("rust-tempfile" ,rust-tempfile-3))))
+    (home-page "https://github.com/mgeisler/version-sync")
+    (synopsis
+      "Crate for ensuring that version numbers in README files and other files are kept in sync with the crate version.")
+    (description
+      "Crate for ensuring that version numbers in README files and other files are kept in sync with the crate version.")
+    (license license:expat)))
+
 (define-public rust-version-sync-0.8
   (package
     (name "rust-version-sync")
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
old mode 100644
new mode 100755
index f7f05851f1..a1f3d757cd
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2020 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2020 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -769,8 +770,16 @@ (define rust-1.54
                             `("procps" ,procps)
                             (package-native-inputs base-rust))))))
 
+(define rust-1.55
+  (rust-bootstrapped-package
+   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
+
+(define rust-1.56
+  (rust-bootstrapped-package
+   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
-(define-public rust rust-1.54)
+(define-public rust rust-1.56)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at 52149 <at> debbugs.gnu.org:


Received: (at 52149) by debbugs.gnu.org; 28 Nov 2021 02:54:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 27 21:54:40 2021
Received: from localhost ([127.0.0.1]:34777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrAKt-0000or-8k
	for submit <at> debbugs.gnu.org; Sat, 27 Nov 2021 21:54:40 -0500
Received: from knopi.disroot.org ([178.21.23.139]:35008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1mr6wM-0003PS-6V
 for 52149 <at> debbugs.gnu.org; Sat, 27 Nov 2021 18:17:07 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C58C87BA34;
 Sun, 28 Nov 2021 00:17:04 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yYOMV8y9LfnA; Sun, 28 Nov 2021 00:17:02 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1638055022; bh=HMe1wA/mY7gI8IV2Puc1LzEJPo7miwGxaHXwX52WjBc=;
 h=From:To:Cc:Subject:Date;
 b=fukF6gJcJRfyeoDfNccx4fEydWNGZd6TaOKZiWbJzPXXX5SvmUtdwgXYWCzTE7mgI
 NAJo0MsrOU53mOd9W3Ys/Eyd5EEtXtZDZdUytvP/VxbzookRejo0nqsB3wfdXAoI5j
 NGPFpOFdoa/l/8a3i8m3tK+9yxW+EB3jvEA/SlX+jEHXwedYlg4ZHUN07X7NUHqHaQ
 BbWHk8Sry+zOyE/I/IhC47g/Uk+qT0vF0hTNWh/CjEhHRmRYWIKiECkrOpnnM+trlx
 RbjtMG4WZUoep8dXCqdXh1uDVYeWaPFeZXtFXzAsbb58jRX1ndvF1ruSneXIwCBInB
 H+ybn2IAjliIw==
To: 52149 <at> debbugs.gnu.org
Subject: [PATCH v2] Update Cargo to v0.57.0 along with rustc
Date: Sat, 27 Nov 2021 23:16:53 +0000
Message-Id: <20211127231653.1835-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52149
X-Mailman-Approved-At: Sat, 27 Nov 2021 21:54:37 -0500
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 313 +++++++++++++++++++++++++++++++++++--
 gnu/packages/rust.scm      |  11 +-
 2 files changed, 307 insertions(+), 17 deletions(-)
 mode change 100644 => 100755 gnu/packages/rust.scm

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b8c4c7bd39..911ef4de72 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -8134,6 +8134,96 @@ (define-public rust-caps-0.3
         ("rust-error-chain" ,rust-error-chain-0.12)
         ("rust-libc" ,rust-libc-0.2))))))
 
+(define-public rust-cargo-0.57
+  (package
+    (name "rust-cargo")
+    (version "0.57.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nw73wf2f2024qya0lgm6c7wy0vrqd521k2kwzr63gy33fnvk7ai"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(;; The test suite is disabled as the internal 'cargo-test-macro' and
+       ;; 'cargo-test-support' crates are not included in the release.
+       #:tests? #f
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bytesize" ,rust-bytesize-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-cargo-util" ,rust-cargo-util-0.1)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-core-foundation" ,rust-core-foundation-0.9)
+        ("rust-crates-io" ,rust-crates-io-0.33)
+        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
+        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+        ("rust-curl" ,rust-curl-0.4)
+        ("rust-curl-sys" ,rust-curl-sys-0.4)
+        ("rust-env-logger" ,rust-env-logger-0.9)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-fwdansi" ,rust-fwdansi-1)
+        ("rust-git2" ,rust-git2-0.13)
+        ("rust-git2-curl" ,rust-git2-curl-0.14)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-hex" ,rust-hex-0.4)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-humantime" ,rust-humantime-2)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-im-rc" ,rust-im-rc-15)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-jobserver" ,rust-jobserver-0.1)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-lazycell" ,rust-lazycell-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-miow" ,rust-miow-0.3)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-opener" ,rust-opener-0.5)
+        ("rust-openssl" ,rust-openssl-0.10)
+        ("rust-percent-encoding" ,rust-percent-encoding-2)
+        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
+        ("rust-rustfix" ,rust-rustfix-0.6)
+        ("rust-same-file" ,rust-same-file-1)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-shell-escape" ,rust-shell-escape-0.1)
+        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
+        ("rust-tar" ,rust-tar-0.4)
+        ("rust-tempfile" ,rust-tempfile-3)
+        ("rust-termcolor" ,rust-termcolor-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-unicode-width" ,rust-unicode-width-0.1)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
+        ("rust-url" ,rust-url-2)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-winapi" ,rust-winapi-0.3))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("curl" ,curl)
+       ("libssh2" ,libssh2)
+       ("openssl" ,openssl)
+       ("zlib" ,zlib)))
+    (home-page "https://crates.io")
+    (synopsis "Package manager for Rust")
+    (description "Cargo, a package manager for Rust.  This package provides
+the library crate of Cargo.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-cargo-0.53
   (package
     (name "rust-cargo")
@@ -8201,7 +8291,6 @@ (define-public rust-cargo-0.53
         ("rust-shell-escape" ,rust-shell-escape-0.1)
         ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
         ("rust-tar" ,rust-tar-0.4)
-        ("rust-tar" ,rust-tar-0.4)
         ("rust-tempfile" ,rust-tempfile-3)
         ("rust-termcolor" ,rust-termcolor-1)
         ("rust-toml" ,rust-toml-0.5)
@@ -8309,7 +8398,7 @@ (define-public rust-cargo-metadata-0.6
 (define-public rust-cargo-platform-0.1
   (package
     (name "rust-cargo-platform")
-    (version "0.1.1")
+    (version "0.1.2")
     (source
      (origin
        (method url-fetch)
@@ -8318,7 +8407,7 @@ (define-public rust-cargo-platform-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1mzi60pf0z83qkzqp7jwd61xnqz2b5ydsj7rnnikbgyicd5989h2"))))
+         "09zsf76b9yr02jh17xq925xp1w824w2bwvb78fd0gpx5m1fq5nyb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8329,6 +8418,39 @@ (define-public rust-cargo-platform-0.1
 supported by Cargo.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cargo-util-0.1
+  (package
+    (name "rust-cargo-util")
+    (version "0.1.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "cargo-util" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1szsqx6n9lvvpfnppw9xiah0d5mg8x80i5s17kv25q6lg8zn7gzj"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-anyhow" ,rust-anyhow-1)
+         ("rust-core-foundation" ,rust-core-foundation-0.9)
+         ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+         ("rust-filetime" ,rust-filetime-0.2)
+         ("rust-hex" ,rust-hex-0.4)
+         ("rust-jobserver" ,rust-jobserver-0.1)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-miow" ,rust-miow-0.3)
+         ("rust-same-file" ,rust-same-file-1)
+         ("rust-shell-escape" ,rust-shell-escape-0.1)
+         ("rust-tempfile" ,rust-tempfile-3)
+         ("rust-walkdir" ,rust-walkdir-2)
+         ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/rust-lang/cargo")
+    (synopsis "Miscellaneous support code used by Cargo.")
+    (description "Miscellaneous support code used by Cargo.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-cargon-0.0
   (package
     (name "rust-cargon")
@@ -12857,14 +12979,14 @@ (define-public rust-cty-0.2
 (define-public rust-curl-0.4
   (package
     (name "rust-curl")
-    (version "0.4.34")
+    (version "0.4.41")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "curl" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0vkm6fyizf8m9yxpv3n5pm9ag3bwlyqa6nz2ga8qkzm5y4m1cs72"))))
+        (base32 "1qqbrvgbnzik4vlni25jwsk3ff57snmbp0zvdzdzhq9jaqrx5ihv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #false                  ;require internet access
@@ -12874,7 +12996,7 @@ (define-public rust-curl-0.4
         ("rust-openssl-probe" ,rust-openssl-probe-0.1)
         ("rust-openssl-sys" ,rust-openssl-sys-0.9)
         ("rust-schannel" ,rust-schannel-0.1)
-        ("rust-socket2" ,rust-socket2-0.3)
+        ("rust-socket2" ,rust-socket2-0.4)
         ("rust-winapi" ,rust-winapi-0.3))
        #:cargo-development-inputs
        (("rust-anyhow" ,rust-anyhow-1)
@@ -12897,7 +13019,7 @@ (define-public rust-curl-0.4
 (define-public rust-curl-sys-0.4
   (package
     (name "rust-curl-sys")
-    (version "0.4.39+curl-7.74.0")
+    (version "0.4.51+curl-7.80.0")
     (source
       (origin
         (method url-fetch)
@@ -12905,7 +13027,7 @@ (define-public rust-curl-sys-0.4
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
+          "085gwlfq15fxp0zvx14sf3k91ka8z8i30271i44gwd3ad9z9hc6i"))
         (modules '((guix build utils)))
         (snippet
          '(begin (delete-file-recursively "curl") #t))))
@@ -15756,6 +15878,31 @@ (define-public rust-duct-0.13
      "A library for running child processes.")
     (license license:expat)))
 
+(define-public rust-duct-0.9
+  (package
+    (name "rust-duct")
+    (version "0.9.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "duct" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "17al305wq9qw54c1idlnjpvwyq37kd1g76z427vgfx0fyiwksmcc"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-lazycell" ,rust-lazycell-0.5)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-os-pipe" ,rust-os-pipe-0.6)
+         ("rust-shared-child" ,rust-shared-child-0.3))
+        #:cargo-development-inputs
+        (("rust-tempdir" ,rust-tempdir-0.3))))
+    (home-page "https://github.com/oconnor663/duct.rs")
+    (synopsis "a library for running child processes")
+    (description "a library for running child processes")
+    (license license:expat)))
+
 (define-public rust-dunce-1
   (package
     (name "rust-dunce")
@@ -16807,6 +16954,36 @@ (define-public rust-enumflags2-derive-0.6
     (description "Enumflags2 implements the classic bitflags datastructure.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-env-logger-0.9
+  (package
+    (name "rust-env-logger")
+    (version "0.9.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "env_logger" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1hzr53r0wga51j0w5zid69ylbfizg4qdbq0vqdj6rvki94sg0b0b"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-atty" ,rust-atty-0.2)
+         ("rust-humantime" ,rust-humantime-2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-termcolor" ,rust-termcolor-1))))
+    (home-page "https://github.com/env-logger-rs/env_logger/")
+    (synopsis
+      "A logging implementation for `log` which is configured via an environment
+variable.
+")
+    (description
+      "This package provides a logging implementation for `log` which is configured via an environment
+variable.
+")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-env-logger-0.8
   (package
     (name "rust-env-logger")
@@ -25063,14 +25240,14 @@ (define-public rust-iso8601-0.1
 (define-public rust-itertools-0.10
   (package
     (name "rust-itertools")
-    (version "0.10.0")
+    (version "0.10.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "itertools" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "06dkghwi1a6ah2103gibxnr2ys762m5x4rp75x0q43imis8p5m9p"))))
+        (base32 "1bsyxnm20x05rwc5qskrqy4cfswrcadzlwc26dkqml6hz64vipb9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25530,7 +25707,7 @@ (define-public rust-jni-sys-0.3
 (define-public rust-jobserver-0.1
   (package
     (name "rust-jobserver")
-    (version "0.1.22")
+    (version "0.1.24")
     (source
      (origin
        (method url-fetch)
@@ -25539,7 +25716,7 @@ (define-public rust-jobserver-0.1
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1zg7p4khibisbvd8b1lqvvni6lr00g49d4bq2zj6m76bs7jmlbwp"))))
+         "1yn1vxbbqv7dqir6qbfcj8h8ddjf89m5mhvm36h13xx7k5raf9dg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34079,6 +34256,28 @@ (define-public rust-open-1
 the system.")
     (license license:expat)))
 
+(define-public rust-opener-0.5
+  (package
+    (name "rust-opener")
+    (version "0.5.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "opener" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0lkrn4fv1h4m8gmp7ll6x7vjvb6kls2ngwa5cgsh2ix5fb6yp8sf"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-bstr" ,rust-bstr-0.2) ("rust-winapi" ,rust-winapi-0.3))
+        #:cargo-development-inputs
+        (("rust-version-sync" ,rust-version-sync-0.9))))
+    (home-page "https://github.com/Seeker14491/opener")
+    (synopsis "Open a file or link using the system default program.")
+    (description "Open a file or link using the system default program.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-opener-0.4
   (package
     (name "rust-opener")
@@ -44267,6 +44466,36 @@ (define-public rust-rustdoc-stripper-0.1
      "This package provides a tool to manipulate rustdoc comments.")
     (license license:asl2.0)))
 
+(define-public rust-rustfix-0.6
+  (package
+    (name "rust-rustfix")
+    (version "0.6.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "rustfix" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0apkjxv3z70vhnyz2kpwsivvndk6qk7kkp0rf7sg8pk7q1gy02vg"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-anyhow" ,rust-anyhow-1)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-serde" ,rust-serde-1)
+         ("rust-serde-json" ,rust-serde-json-1))
+        #:cargo-development-inputs
+        (("rust-duct" ,rust-duct-0.9)
+         ("rust-env-logger" ,rust-env-logger-0.5)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-proptest" ,rust-proptest-0.7)
+         ("rust-similar" ,rust-similar-0.4)
+         ("rust-tempdir" ,rust-tempdir-0.3))))
+    (home-page "https://github.com/rust-lang-nursery/rustfix")
+    (synopsis "Automatically apply the suggestions made by rustc")
+    (description "Automatically apply the suggestions made by rustc")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-rustfix-0.5
   (package
     (name "rust-rustfix")
@@ -48793,6 +49022,28 @@ (define-public rust-similar-1
     (description "This package provides a diff library for Rust.")
     (license license:asl2.0)))
 
+(define-public rust-similar-0.4
+  (package
+    (name "rust-similar")
+    (version "0.4.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "similar" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1v6h326qwjdydxk22dfz3x86zp8r1qdnajb3f37w8ngyivzmjgw2"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-unicode-segmentation" ,rust-unicode-segmentation-1))
+        #:cargo-development-inputs
+        (("rust-console" ,rust-console-0.14) ("rust-insta" ,rust-insta-1))))
+    (home-page "https://github.com/mitsuhiko/similar")
+    (synopsis "A diff library for Rust")
+    (description "This package provides a diff library for Rust")
+    (license license:asl2.0)))
+
 (define-public rust-simple-mutex-1
   (package
     (name "rust-simple-mutex")
@@ -49635,7 +49886,7 @@ (define-public rust-snap-1
 (define-public rust-socket2-0.4
   (package
     (name "rust-socket2")
-    (version "0.4.0")
+    (version "0.4.2")
     (source
       (origin
         (method url-fetch)
@@ -49644,7 +49895,7 @@ (define-public rust-socket2-0.4
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
+          "05imvybc86slkbg6sj9rd1xy9a8ydn1v2bcqjqr346myqzk0zjax"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -52620,7 +52871,7 @@ (define-public rust-tap-1
 (define-public rust-tar-0.4
   (package
     (name "rust-tar")
-    (version "0.4.26")
+    (version "0.4.37")
     (source
       (origin
         (method url-fetch)
@@ -52628,7 +52879,7 @@ (define-public rust-tar-0.4
         (file-name (string-append name "-" version ".crate"))
         (sha256
          (base32
-          "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
+          "0p5srm08dly2bdgkpnjdfmxvldmvi31q6yxdvjxy0lnx79fm3xfn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Test tarballs not included in crate.
@@ -59888,6 +60139,36 @@ (define-public rust-version-compare-0.0
 numbers, and test them against various comparison operators.")
     (license license:expat)))
 
+(define-public rust-version-sync-0.9
+  (package
+    (name "rust-version-sync")
+    (version "0.9.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "version-sync" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0kaqwjr7jlq3afh28jn052vm15z58h8szvbggwdavdng0wzy98x7"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-proc-macro2" ,rust-proc-macro2-1)
+         ("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-semver-parser" ,rust-semver-parser-0.9)
+         ("rust-syn" ,rust-syn-1)
+         ("rust-toml" ,rust-toml-0.5)
+         ("rust-url" ,rust-url-2))
+        #:cargo-development-inputs
+        (("rust-tempfile" ,rust-tempfile-3))))
+    (home-page "https://github.com/mgeisler/version-sync")
+    (synopsis
+      "Crate for ensuring that version numbers in README files and other files are kept in sync with the crate version.")
+    (description
+      "Crate for ensuring that version numbers in README files and other files are kept in sync with the crate version.")
+    (license license:expat)))
+
 (define-public rust-version-sync-0.8
   (package
     (name "rust-version-sync")
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
old mode 100644
new mode 100755
index f7f05851f1..a1f3d757cd
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2020 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2020 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -769,8 +770,16 @@ (define rust-1.54
                             `("procps" ,procps)
                             (package-native-inputs base-rust))))))
 
+(define rust-1.55
+  (rust-bootstrapped-package
+   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
+
+(define rust-1.56
+  (rust-bootstrapped-package
+   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
-(define-public rust rust-1.54)
+(define-public rust rust-1.56)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Nov 2021 22:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 27 17:02:15 2021
Received: from localhost ([127.0.0.1]:34633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mr5lu-00011z-Ug
	for submit <at> debbugs.gnu.org; Sat, 27 Nov 2021 17:02:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:52264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1mr4XD-0007Ns-Gw
 for submit <at> debbugs.gnu.org; Sat, 27 Nov 2021 15:43:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60146)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1mr4XB-0008FE-BU
 for guix-patches@HIDDEN; Sat, 27 Nov 2021 15:42:57 -0500
Received: from knopi.disroot.org ([178.21.23.139]:47338)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1mr4X9-0007kp-6G
 for guix-patches@HIDDEN; Sat, 27 Nov 2021 15:42:57 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 543777BA32;
 Sat, 27 Nov 2021 21:42:52 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id v0JFC4XKthm2; Sat, 27 Nov 2021 21:42:51 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1638045771; bh=iDM3jvjEIIvFIkTHBDTrrLNUwWIluAi0+g7Jt/pzpkQ=;
 h=From:To:Cc:Subject:Date;
 b=TlSonj0+qdUUNHxJwJtLygtIW8McmozBfObj4nkW5n0owdM97P/qMbTBxxXZHkkLF
 ub8W+c/vRqklUAaUIomrkE0y0xxmrhfOglMA5VAOiy2dnEwrcn9YhzVuSRCa1uvBzJ
 uWpetGkf11KzmeOFJLYNMB2OfwVFTUBrd44XdRlOPJowPVaLBwdPwArOYwZTMtmIM9
 JVM7JZkdCfG1FZ24Fi/lyDoiCTKnYjtWLFOhpo7oc7EwUjVrMrH+9yVgUfvmLvZ3qJ
 +NL8/yPlmtC3MKgkli4NDVM1Tk993H9Ki+jdrGRzsWicgm86nrWaf+62ti3sC8mWAg
 glTsc95JcUpjA==
To: guix-patches@HIDDEN
Subject: [PATCH] core-updates-frozen: Update `rustc` to version 1.56.1 (from
 1.54.0)
Date: Sat, 27 Nov 2021 20:42:37 +0000
Message-Id: <20211127204237.4195-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=178.21.23.139; envelope-from=paren@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 27 Nov 2021 17:02:13 -0500
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

---
 gnu/packages/rust.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)
 mode change 100644 => 100755 gnu/packages/rust.scm

diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
old mode 100644
new mode 100755
index f7f05851f1..0c44eebf29
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -769,8 +769,18 @@ (define rust-1.54
                             `("procps" ,procps)
                             (package-native-inputs base-rust))))))
 
+(define rust-1.55
+  (rust-bootstrapped-package
+   rust-1.54 "1.55.0" "07l28f7grdmi65naq71pbmvdd61hwcpi40ry7kp7dy7m233rldxj"))
+
+(define rust-1.56
+  (rust-bootstrapped-package
+   rust-1.55 "1.56.1" "04cmqx7nn63hzz7z27b2b0dj2qx18rck9ifvip43s6dampx8v2f3"))
+
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
-(define-public rust rust-1.54)
+(define-public rust rust-1.56)
+
+rust
-- 
2.34.0





Acknowledgement sent to "(unmatched-parenthesis" <paren@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#52149; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 27 Dec 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.